#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8f61eec, "kvm_get_cr8" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0x91fb0d31, "vcpu_load" },
	{ 0xdc8429f8, "kvm_handle_memory_failure" },
	{ 0x70230495, "kvm_set_dr" },
	{ 0x62fa5b00, "kvm_set_msi_irq" },
	{ 0x786cd929, "kvm_emulate_hypercall" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31c45b8c, "mds_verw_sel" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0x403f2e4, "kvm_inject_emulated_page_fault" },
	{ 0xf5250bbc, "kvm_get_linear_rip" },
	{ 0x5a504ee3, "kvm_prepare_emulation_failure_exit" },
	{ 0xa50bcff0, "x86_cpu_to_apicid" },
	{ 0xb58a11d, "kvm_nr_uret_msrs" },
	{ 0x3aa21e6, "__kvm_prepare_emulation_failure_exit" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0xf5b152ae, "kvm_get_msr" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6921eadf, "load_pdptrs" },
	{ 0x2b6f9c03, "kvm_get_running_vcpu" },
	{ 0xe3e88acb, "__get_current_cr3_fast" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3f0e35f8, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0x25b48ddd, "hrtimer_start_range_ns" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x159b8d5e, "host_efer" },
	{ 0xc30054f7, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf2df48f3, "__SCT__tp_func_kvm_pml_full" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9d4894c8, "x2apic_mode" },
	{ 0x970f9a9a, "kvm_set_cr4" },
	{ 0x5fb096ba, "__SCK__tp_func_kvm_exit" },
	{ 0x280e72cb, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0x4f9fe735, "kvm_cpu_caps" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x9acd3f6f, "get_cpu_entry_area" },
	{ 0x8fbbdca9, "kvm_apic_clear_irr" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x99eae040, "__x86_set_memory_region" },
	{ 0x3746e64c, "kvm_load_guest_xsave_state" },
	{ 0xc54e2503, "kvm_set_cr0" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xfdf4578f, "__kvm_is_valid_cr4" },
	{ 0xb06e84b1, "kvm_mmu_free_guest_mode_roots" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x61cd5a31, "kvm_set_cr8" },
	{ 0x2ce6e55d, "kvm_get_dr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb637410, "cr4_update_irqsoff" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x84c8e6e5, "kvm_mmu_page_fault" },
	{ 0x41d9f0ad, "clear_bhb_loop" },
	{ 0x5397f6e5, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xbc92596d, "intel_pt_validate_cap" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x1bfec163, "kvm_emulate_instruction" },
	{ 0x25cfffca, "cpu_info" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x60e27e3e, "__SCK__tp_func_kvm_pml_full" },
	{ 0x485596dc, "kvm_mtrr_get_guest_memory_type" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0xc54ebe87, "kvm_pmu_trigger_event" },
	{ 0x2ddeaa8b, "kvm_mmu_reset_context" },
	{ 0x9ac7b70f, "kvm_get_apic_mode" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x9c9151ac, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf1fc1d6d, "kvm_vcpu_on_spin" },
	{ 0x36bb00a8, "__SCK__tp_func_kvm_fast_mmio" },
	{ 0xc9cc804d, "kvm_read_guest" },
	{ 0xbfe813bc, "__hrtimer_get_remaining" },
	{ 0xbbfa71ee, "kvm_write_guest_cached" },
	{ 0x1fb5a87c, "gfn_to_pfn_memslot" },
	{ 0xb8528e2, "__srcu_read_unlock" },
	{ 0xe5198eaf, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x62dc256a, "kvm_get_rflags" },
	{ 0xbdadd5d6, "kvm_queue_exception_e" },
	{ 0xa2d0b59d, "mmio_stale_data_clear" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0xb5660760, "hrtimer_cancel" },
	{ 0x214e1a6e, "__tracepoint_kvm_exit" },
	{ 0x78304bce, "kvm_emulate_cpuid" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x89649e7c, "kvm_emulate_wrmsr" },
	{ 0x1e25250e, "__SCK__tp_func_kvm_inj_virq" },
	{ 0xd535ad7a, "kvm_apic_set_eoi_accelerated" },
	{ 0xe520e632, "kvm_find_cpuid_entry_index" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xdb2ab953, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x4322d41d, "kvm_inject_realmode_interrupt" },
	{ 0x5c102501, "kvm_mmu_invlpg" },
	{ 0x3ca60b74, "kvm_emulate_invd" },
	{ 0xfd5b23c3, "kvm_fast_pio" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0xa1fd930f, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xe8372d30, "kvm_set_msr_common" },
	{ 0x2c47394c, "kvm_mmu_invalidate_addr" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0x9d79238, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x5fdf4a6c, "kvm_intr_is_single_vcpu" },
	{ 0x84028bdf, "perf_event_release_kernel" },
	{ 0x64ad085d, "kvm_apic_has_interrupt" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0x17add64b, "gdt_page" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0xb3155620, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xa0a5db63, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x79430aa2, "kvm_require_dr" },
	{ 0x359e8cf2, "kvm_skip_emulated_instruction" },
	{ 0x5bf7cde0, "kvm_mmu_set_ept_masks" },
	{ 0xa41137b9, "kvm_handle_invalid_op" },
	{ 0x7d21de70, "kvm_cpu_get_interrupt" },
	{ 0x6bc792a4, "kvm_caps" },
	{ 0x94b6e734, "kvm_vcpu_write_guest" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xbe8e62e2, "hv_flush_remote_tlbs_range" },
	{ 0x8ec0bc1d, "kvm_complete_insn_gp" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xea69d7d7, "asm_exc_nmi_kvm_vmx" },
	{ 0x68e49827, "kvm_apic_write_nodecode" },
	{ 0x808a8088, "handle_guest_split_lock" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3e52dc41, "__SCK__kvm_x86_cache_reg" },
	{ 0x31835466, "kvm_x86_vendor_init" },
	{ 0x9e5c30df, "__tracepoint_kvm_ple_window_update" },
	{ 0x2816aa2a, "vcpu_put" },
	{ 0x50d3d12a, "kvm_arch_has_assigned_device" },
	{ 0x5d66647f, "kvm_vcpu_mark_page_dirty" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x32e4d1e0, "sgx_virt_ecreate" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0x3ab2794c, "kvm_find_user_return_msr" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x1b340934, "kvm_requeue_exception" },
	{ 0xd416cfec, "perf_guest_get_msrs" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0xf21ab4f4, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x5a34b0c3, "kvm_vcpu_gfn_to_hva" },
	{ 0x135b6eaf, "kvm_init" },
	{ 0xf767ca35, "fixed_percpu_data" },
	{ 0x73efa346, "kvm_set_msr" },
	{ 0x36474104, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x305a916c, "__x86_indirect_thunk_rdi" },
	{ 0x1b815b70, "__tracepoint_kvm_nested_vmexit" },
	{ 0xa8be3ba8, "apic" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x61c824d3, "__tracepoint_kvm_nested_vmenter" },
	{ 0xf881cecd, "load_fixmap_gdt" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0x77f60155, "perf_event_create_kernel_counter" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x3e7a4572, "hrtimer_try_to_cancel" },
	{ 0x681b14ff, "__kvm_request_immediate_exit" },
	{ 0x3b6d2001, "kvm_lapic_expired_hv_timer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6a5c6f8e, "kvm_emulate_xsetbv" },
	{ 0xd3314131, "kvm_fixup_and_inject_pf_error" },
	{ 0x5afc27aa, "__SCK__tp_func_kvm_cr" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x6c42b46c, "kvm_vcpu_write_guest_page" },
	{ 0x7915cee5, "do_machine_check" },
	{ 0xce576a13, "enable_apicv" },
	{ 0xcbb7d63c, "kvm_read_guest_cached" },
	{ 0x4d0ff695, "hrtimer_init" },
	{ 0x10717660, "handle_ud" },
	{ 0x58af3978, "kvm_mmu_new_pgd" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4e2ee54, "kvm_mmu_gva_to_gpa_read" },
	{ 0xe0a4ec1, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x42fcd1a4, "kvm_get_msr_common" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3a7da10, "__tracepoint_kvm_fast_mmio" },
	{ 0xe1e555b5, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe7b002ed, "kvm_arch_has_noncoherent_dma" },
	{ 0xedb6b8a6, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0xc15a537a, "kvm_emulate_halt" },
	{ 0xd53e6202, "kvm_emulate_mwait" },
	{ 0x91376913, "kvm_vcpu_map" },
	{ 0x8c5c34b1, "kvm_lapic_readable_reg_mask" },
	{ 0x509576dc, "kvm_msr_allowed" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbbb8f5f, "kvm_service_local_tlb_flush_requests" },
	{ 0xa6efdf16, "kvm_lapic_find_highest_irr" },
	{ 0x72635c4a, "kvm_mmu_gva_to_gpa_write" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x664643a8, "kvm_wait_lapic_expire" },
	{ 0xaa799629, "hv_flush_remote_tlbs" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9650cf20, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0xdaaafa65, "kvm_write_guest_virt_system" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x9bf7c530, "kvm_find_cpuid_entry" },
	{ 0x475c47d3, "kvm_task_switch" },
	{ 0xea5cda33, "__SCT__tp_func_kvm_fast_mmio" },
	{ 0xce2a6d5b, "kvm_read_guest_virt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x75677809, "__tracepoint_kvm_cr" },
	{ 0x372961a9, "kvm_io_bus_write" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0x2e8a7b9, "kvm_init_shadow_ept_mmu" },
	{ 0xccbcd188, "kvm_emulate_monitor" },
	{ 0x1c79221c, "__tracepoint_kvm_pml_full" },
	{ 0xdd5af0f9, "kvm_requeue_exception_e" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x5f25ba49, "kvm_gfn_to_hva_cache_init" },
	{ 0x153f2f8, "kvm_lmsw" },
	{ 0xf0fd0b61, "x86_perf_get_lbr" },
	{ 0x8a53a992, "kvm_lapic_set_eoi" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0xd0959ee4, "kvm_queue_exception" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6d259995, "kvm_emulate_halt_noskip" },
	{ 0x58fa18c3, "kvm_emulate_rdmsr" },
	{ 0xe54c1a0d, "host_arch_capabilities" },
	{ 0x8b140923, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x9620fc15, "__tracepoint_kvm_pi_irte_update" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0x96a73fa6, "kvm_vcpu_unmap" },
	{ 0x9b3a9746, "kvm_write_guest_page" },
	{ 0xc287d96a, "kvm_set_posted_intr_wakeup_handler" },
	{ 0x5417537b, "__free_pages" },
	{ 0xbaf9d785, "__tss_limit_invalid" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x80dadc15, "kvm_valid_efer" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x160d8d73, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0x9fb10485, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xe0a0528e, "__SCK__tp_func_kvm_entry" },
	{ 0xb0e847b2, "kvm_read_guest_offset_cached" },
	{ 0xac980120, "kvm_handle_invpcid" },
	{ 0x6160bacf, "__tracepoint_kvm_entry" },
	{ 0xd126336a, "kvm_load_host_xsave_state" },
	{ 0x9a2f8757, "__tracepoint_kvm_page_fault" },
	{ 0xf733779c, "kvm_mmu_free_roots" },
	{ 0x9a2c088f, "irq_stat" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x8aee9bb, "kvm_queue_exception_p" },
	{ 0xf21d7630, "kvm_read_l1_tsc" },
	{ 0x8c341c48, "current_save_fsgs" },
	{ 0x2fdfbbba, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x62be792c, "__tracepoint_kvm_inj_virq" },
	{ 0x49608959, "migrate_disable" },
	{ 0x55a29670, "kvm_cpu_has_interrupt" },
	{ 0x6243ac82, "__kvm_apic_update_irr" },
	{ 0x3ea07071, "handle_fastpath_set_msr_irqoff" },
	{ 0x915e8a63, "kvm_apic_update_ppr" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x936e0886, "kvm_make_all_cpus_request" },
	{ 0x69b0105a, "__srcu_read_lock" },
	{ 0x9fb7a545, "pmc_write_counter" },
	{ 0x4e2493de, "kvm_apic_update_irr" },
	{ 0xfa631c37, "kvm_init_mmu" },
	{ 0x3ce7234, "sched_smt_present" },
	{ 0x66bf659d, "kvm_emulate_wbinvd" },
	{ 0x639a5799, "kvm_set_cr3" },
	{ 0x696d7e0b, "l1tf_mitigation" },
	{ 0x9aabb394, "kvm_update_cpuid_runtime" },
	{ 0x8c4fded2, "sgx_virt_einit" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0xa6ef97e8, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b91db5b, "intel_pt_handle_vmx" },
	{ 0x5f40a033, "__SCK__tp_func_kvm_page_fault" },
	{ 0x709522f3, "kvm_alloc_apic_access_page" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0085*");

MODULE_INFO(srcversion, "851CCCD04316A338E9A04AA");

MODULE_INFO(suserelease, "ALP-0.1");
