#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x179ba1d9, "crypto_alloc_skcipher" },
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa3f7c4a, "crypto_register_aead" },
	{ 0x46c1fb0f, "cxgb4_port_e2cchan" },
	{ 0x2c4a708c, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x538aa277, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xc995850d, "crypto_unregister_ahash" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x4cf4d138, "crypto_register_skcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb98d9d40, "cxgb4_crypto_send" },
	{ 0xa53ee27f, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x215ae26f, "crypto_shash_digest" },
	{ 0xd0240c98, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,gf128mul,authenc");


MODULE_INFO(srcversion, "C9EE9C2B287E0FA4D6BF3CF");

MODULE_INFO(suserelease, "ALP-0.1");
