#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(adf_cfg_dev_add, 0x97d0a9e0, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xd6677c7b, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x72022f71, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xdf2ecbcf, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x85be0b64, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xa807f4e0, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x6ab882cf, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x381d118c, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xc1503b5d, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x3fca0fde, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xe48e3aff, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xf750a561, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xc3257e6c, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xd2b85c58, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xbbec4d41, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x98b0e3e0, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x97d04079, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xdd5afc6b, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x40c116fd, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x142cbf15, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x4b644c2c, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x33803688, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x0718c35c, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x6c9fa4d7, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x575d6ae3, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0xab88acf6, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0xb14f23f3, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x35793b74, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x94038e87, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xdbc67f12, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xc85013c3, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xb2739d37, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0xb568c950, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x6543d812, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x004ed021, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x239d6d8d, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x3d3d7c73, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x7fc8e3e5, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x10fe206b, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x735037f9, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x2759af16, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x8b9175eb, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x30c7314b, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x254a3c51, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x0938555a, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xe29ab9dd, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x333d4a84, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x3f76d6da, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xf8ec192a, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x73a3b15b, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x6978d04f, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x5f0bbab5, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xf8c0d3a0, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xc0844ba8, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xe5ef7bd1, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0xf2f3134f, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x350c6492, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x7b3a95fb, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x8b50ed00, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x0303ab05, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x55354a59, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x0786561e, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0x97f4a3d1, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x6b62193d, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x9765cf0c, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xd76529f4, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x9bfd1b10, "_gpl");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x14996727, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xf089a1dc, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0xd3c2893b, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd14953a, "crypto_register_kpp" },
	{ 0x4a1a514, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x1045b09e, "device_add_groups" },
	{ 0xbde18153, "seq_open" },
	{ 0x83f19afd, "crypto_unregister_skciphers" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x9219f107, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0x179ba1d9, "crypto_alloc_skcipher" },
	{ 0x3acf6a27, "crypto_skcipher_encrypt" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc38f6287, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0xe0b39dae, "crypto_unregister_kpp" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x13a7c851, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xedb7d7b4, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a75bdc, "crypto_register_aeads" },
	{ 0x720accd9, "pci_sriov_get_totalvfs" },
	{ 0xa7481707, "seq_hex_dump" },
	{ 0xf4b54cb2, "device_remove_groups" },
	{ 0xca100241, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x9d01d9ef, "devm_device_add_group" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xe164e9ef, "crypto_skcipher_setkey" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe12d1c58, "crypto_cipher_setkey" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x85a8b74e, "crypto_unregister_aeads" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x24513270, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x6fb4ff4f, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc40a13ae, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0xc94b7610, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x81562ec8, "crypto_unregister_acomps" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6d4ce75, "up_write" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xac899120, "crypto_unregister_akcipher" },
	{ 0x7487980, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xca08818d, "class_create" },
	{ 0xe742648, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x53b8da12, "pcie_flr" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb375927f, "seq_putc" },
	{ 0x215ae26f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "D780BCAFDAB26CD39D20FC0");

MODULE_INFO(suserelease, "ALP-0.1");
