#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0x966e1a07, "");
SYMBOL_CRC(fw_card_initialize, 0x7245d4e4, "");
SYMBOL_CRC(fw_card_add, 0xd8d59abd, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0xdb31137f, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0x65c16ae8, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0x7b11e4e1, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0xaff49640, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0x92828dc1, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0xd9ed7752, "");
SYMBOL_CRC(fw_iso_context_create, 0xbde221b9, "");
SYMBOL_CRC(fw_iso_context_destroy, 0x188a49c7, "");
SYMBOL_CRC(fw_iso_context_start, 0x65bb4b45, "");
SYMBOL_CRC(fw_iso_context_queue, 0x04c9fc15, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0x025562c8, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0x140e637e, "");
SYMBOL_CRC(fw_iso_context_stop, 0xcf442c68, "");
SYMBOL_CRC(fw_iso_resource_manage, 0x6da200fb, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0x0f0f4333, "");
SYMBOL_CRC(fw_cancel_transaction, 0x293c996f, "");
SYMBOL_CRC(fw_send_request, 0x57b3b1d3, "");
SYMBOL_CRC(fw_run_transaction, 0xfe89b3ba, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x76196a1e, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0x58122242, "");
SYMBOL_CRC(fw_fill_response, 0x995e8cf1, "");
SYMBOL_CRC(fw_send_response, 0x80dad1db, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0xea703a0a, "");
SYMBOL_CRC(fw_core_handle_response, 0x803e9342, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d465adf, "nonseekable_open" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd8634721, "idr_for_each" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x413e35d8, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x95837a43, "vm_map_pages_zero" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x51905f4, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x83313941, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x5417537b, "__free_pages" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6059e10c, "device_add" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x14125909, "device_find_child" },
	{ 0x11089ac7, "_ctype" },
	{ 0xffeca003, "device_register" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "6E8B53A1CE6E5F3833E599B");

MODULE_INFO(suserelease, "ALP-0.1");
