#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x5af21e47, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xe49ffc61, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x0a5df2e6, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xadadcdc2, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x9877c1c7, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x1fc16822, "");
SYMBOL_CRC(dfl_driver_unregister, 0xfe4390da, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xd8616397, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x0da8ebab, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x0ed8a6dc, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xaac53126, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xdaa735e0, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x01512f4a, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x41466997, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x97b45bbe, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x0c4cb8a9, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xa6b5d083, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x40ef90e8, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x95064fc5, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x1970173b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x50572684, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x53e70e3b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xe4b63745, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x70b7c54b, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x8612d89c, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x4865c90b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc40a13ae, "module_put" },
	{ 0x882168e, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x983c1964, "ida_free" },
	{ 0x2b885069, "cdev_init" },
	{ 0xc94b7610, "cdev_add" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd1cd0215, "get_device" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x405be82d, "put_device" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4b3fe43, "__devm_request_region" },
	{ 0x62f0b68c, "devm_ioremap" },
	{ 0x4f791397, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa7973e26, "bus_register" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x83313941, "device_unregister" },
	{ 0xb7ddabf8, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6059e10c, "device_add" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcfcc397d, "platform_device_add" },
	{ 0xa80a0d39, "platform_device_del" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xea7117c1, "platform_device_put" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0x6d0effa1, "fpga_region_unregister" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x6007df6, "devm_ioremap_resource" },
	{ 0x5cce80f8, "__fpga_region_register" },
	{ 0x297a1b43, "devm_iounmap" },
	{ 0x8c76a9f4, "__devm_release_region" },
	{ 0x1d496955, "platform_device_alloc" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "ALP-0.1");
