#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x919ba202, "drm_add_edid_modes" },
	{ 0x3a2a5d3, "drm_add_modes_noedid" },
	{ 0x6e1216d1, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xb29c7aad, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x715e7d4a, "drm_dev_alloc" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0x31264854, "drmm_kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1c8a422e, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xccee5bc8, "drmm_vram_helper_init" },
	{ 0x94673334, "drmm_mode_config_init" },
	{ 0x1940ea3, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x6b572aee, "drm_do_get_edid" },
	{ 0x6558ccb6, "drm_simple_display_pipe_init" },
	{ 0x44101f15, "drm_mode_config_reset" },
	{ 0x3605b656, "drm_dev_register" },
	{ 0x23c7d1ca, "drm_fbdev_generic_setup" },
	{ 0x5027aa20, "drm_connector_attach_edid_property" },
	{ 0x46b7bdca, "drm_connector_update_edid_property" },
	{ 0xd7072973, "drm_gem_vram_offset" },
	{ 0x411b754a, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xcb1a147e, "drm_vram_mm_debugfs_init" },
	{ 0xaa55e92b, "drm_gem_vram_driver_dumb_create" },
	{ 0xc90d9e1e, "drm_gem_ttm_dumb_map_offset" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x6574b31b, "drm_read" },
	{ 0x6d122b62, "drm_poll" },
	{ 0xe0d91685, "drm_ioctl" },
	{ 0x68a5fa6b, "drm_compat_ioctl" },
	{ 0xb65de54e, "drm_gem_mmap" },
	{ 0xc1e8137a, "drm_open" },
	{ 0xc0083c4e, "drm_release" },
	{ 0x6d51f56d, "drm_vram_helper_mode_valid" },
	{ 0x80dfa09, "drm_atomic_helper_check" },
	{ 0x9c5876ef, "drm_atomic_helper_commit" },
	{ 0x9062814e, "drm_atomic_helper_connector_reset" },
	{ 0x8ce82730, "drm_helper_probe_single_connector_modes" },
	{ 0x7d98d3af, "drm_connector_cleanup" },
	{ 0x36cd4a64, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa89d4522, "drm_atomic_helper_connector_destroy_state" },
	{ 0x3ee5d6ae, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xc8660b7e, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22209260, "drm_mode_config_helper_resume" },
	{ 0x933ee259, "drm_mode_config_helper_suspend" },
	{ 0x7b1c6ab, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x8c00ef28, "drm_dev_unplug" },
	{ 0x508e9699, "drm_dev_put" },
	{ 0x15092a39, "drm_gem_fb_create" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");

MODULE_INFO(suserelease, "ALP-0.1");
