#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82de7b6, "regmap_bulk_read" },
	{ 0xf9c842e9, "input_event" },
	{ 0xb10fe7cb, "input_mt_report_slot_state" },
	{ 0xbb85344b, "touchscreen_report_pos" },
	{ 0x90b757e2, "input_mt_report_pointer_emulation" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb8df899a, "i2c_transfer" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0xf35c1b5b, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe6c44434, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xef55f07f, "i2c_client_get_device_id" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x5f6c810b, "__regmap_init_i2c" },
	{ 0xcb24f45a, "device_get_match_data" },
	{ 0x666e1119, "devm_regulator_get" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x4d664225, "devm_input_allocate_device" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xefbea897, "input_set_abs_params" },
	{ 0xa9cbabf7, "touchscreen_parse_properties" },
	{ 0x39286451, "input_mt_init_slots" },
	{ 0xfc37a9ce, "irq_get_irq_data" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x9d01d9ef, "devm_device_add_group" },
	{ 0x10b4f146, "input_register_device" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xe2726dcc, "debugfs_create_u16" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xd0535ad0, "desc_to_gpio" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x18ea64a7, "simple_open" },
	{ 0x21e0e1, "generic_file_llseek" },
	{ 0x8d134c14, "simple_attr_read" },
	{ 0x8dd67be3, "simple_attr_write" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4a484ee, "i2c_register_driver" },
	{ 0xa0c59a97, "regulator_disable" },
	{ 0x25a65fbc, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xed01c46e, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ec21023, "regmap_exit" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4f791397, "_dev_err" },
	{ 0xd2bec633, "regmap_read" },
	{ 0x96848186, "scnprintf" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft6236");

MODULE_INFO(srcversion, "6B90EB0B126DCD924730BA8");

MODULE_INFO(suserelease, "ALP-0.1");
