#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_snap_origin, 0x6231be1d, "");
SYMBOL_CRC(dm_snap_cow, 0x814ed155, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xb6c884c7, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x383a84a5, "");
SYMBOL_CRC(dm_exception_store_create, 0x7544d697, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x0fba15c4, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9bffd93f, "dm_unregister_target" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x415a68b7, "dm_set_target_max_io_len" },
	{ 0x3c3b6ab2, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0x37156d62, "dm_table_event" },
	{ 0xc06f048f, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb39eee0c, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb913138e, "dm_kcopyd_copy" },
	{ 0x47f10e53, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x1522406f, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xeafe502b, "dm_table_get_md" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x46bc8fa4, "dm_io" },
	{ 0x7fe7b661, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x52ce608c, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xf8242c57, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x6b95ae2f, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0xb03190b7, "bio_associate_blkg" },
	{ 0x787aaf07, "dm_internal_resume_fast" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4c42ffb, "dm_per_bio_data" },
	{ 0x2ff60349, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf1702c40, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x601c618, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x90c3a573, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x88adb634, "__wake_up" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1e8ae27f, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xeb9e665b, "dm_accept_partial_bio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa00fb015, "mempool_alloc" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc40a13ae, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf3d79f2d, "__wake_up_locked" },
	{ 0xb38e541b, "dm_suspended" },
	{ 0x63b0ec6a, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x2469e544, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio,dm-mod");


MODULE_INFO(srcversion, "2FFB68F0156BAEDB229A76F");

MODULE_INFO(suserelease, "ALP-0.1");
