#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf35c1b5b, "i2c_del_driver" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x972bf070, "__devm_regmap_init_i2c" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0xe8da9340, "fwnode_graph_get_next_endpoint" },
	{ 0xf9ee2a7, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0xb4817b4a, "v4l2_fwnode_endpoint_free" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0x462a489a, "devm_regulator_bulk_get" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x96b5d28c, "v4l2_i2c_subdev_init" },
	{ 0xba3942a8, "media_entity_pads_init" },
	{ 0x47789985, "v4l2_fwnode_device_parse" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0xcb2808ba, "v4l2_ctrl_new_int_menu" },
	{ 0xe49fe4e0, "v4l2_ctrl_new_std_menu_items" },
	{ 0x561fa0a2, "v4l2_ctrl_cluster" },
	{ 0xc8a42911, "v4l2_ctrl_new_fwnode_properties" },
	{ 0xdbce909e, "__v4l2_subdev_init_finalize" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xfc0b0315, "v4l2_i2c_subdev_set_name" },
	{ 0x711d995b, "v4l2_async_register_subdev" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0xb69eaae4, "v4l2_subdev_cleanup" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xc50bc05f, "regulator_bulk_disable" },
	{ 0xe2822320, "__v4l2_find_nearest_size" },
	{ 0x8d2c703a, "v4l2_async_unregister_subdev" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8ea9210d, "__v4l2_ctrl_grab" },
	{ 0x554ba1e9, "__v4l2_ctrl_handler_setup" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0x14abfa6d, "pm_runtime_get_if_active" },
	{ 0x8e92f1cd, "v4l2_subdev_link_validate" },
	{ 0xf73749ca, "v4l2_subdev_get_fmt" },
	{ 0x6fb314d, "v4l2_ctrl_subdev_subscribe_event" },
	{ 0x72d571cc, "v4l2_event_subdev_unsubscribe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4a484ee, "i2c_register_driver" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4f791397, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0x426ba33c, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed01c46e, "gpiod_set_value_cansleep" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffab3d65, "regmap_raw_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x663ecb4c, "__v4l2_ctrl_s_ctrl" },
	{ 0x57f3df67, "__v4l2_ctrl_modify_range" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c,v4l2-fwnode,videodev,mc,v4l2-async");

MODULE_ALIAS("of:N*T*Csony,imx290");
MODULE_ALIAS("of:N*T*Csony,imx290C*");
MODULE_ALIAS("of:N*T*Csony,imx290lqr");
MODULE_ALIAS("of:N*T*Csony,imx290lqrC*");
MODULE_ALIAS("of:N*T*Csony,imx290llr");
MODULE_ALIAS("of:N*T*Csony,imx290llrC*");
MODULE_ALIAS("of:N*T*Csony,imx327lqr");
MODULE_ALIAS("of:N*T*Csony,imx327lqrC*");

MODULE_INFO(srcversion, "3AF69393F1A01F2ED602976");

MODULE_INFO(suserelease, "ALP-0.1");
