#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(kempld_read8, 0xcea92c6f, "_gpl");
SYMBOL_CRC(kempld_write8, 0x7aafcd44, "_gpl");
SYMBOL_CRC(kempld_read16, 0x4938be78, "_gpl");
SYMBOL_CRC(kempld_write16, 0x07a6f409, "_gpl");
SYMBOL_CRC(kempld_read32, 0x81fb7ffc, "_gpl");
SYMBOL_CRC(kempld_write32, 0x99a25a15, "_gpl");
SYMBOL_CRC(kempld_get_mutex, 0x498db4f0, "_gpl");
SYMBOL_CRC(kempld_release_mutex, 0x617b643f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x380653fc, "mfd_add_devices" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1d496955, "platform_device_alloc" },
	{ 0x84815dbc, "platform_device_add_data" },
	{ 0xea7117c1, "platform_device_put" },
	{ 0x797a6d75, "platform_device_add_resources" },
	{ 0xcfcc397d, "platform_device_add" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0xcd88e364, "sysfs_remove_group" },
	{ 0x2d61c2d0, "mfd_remove_devices" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xbc03a2a0, "platform_get_resource" },
	{ 0x5d62f38f, "devm_ioport_map" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x96848186, "scnprintf" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x1f79196c, "acpi_device_get_match_data" },
	{ 0xf14f5ed0, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x4e7af576, "sysfs_create_group" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0xfce7378b, "param_ops_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBD*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBW6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*PXT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBT*:");
MODULE_ALIAS("dmi*:bvr*FRI2*:rvn*Kontron*:");
MODULE_ALIAS("dmi*:pn*FishRiverIslandII*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*KBoxA-203*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-m4AL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mAL10*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*mITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETX-OH*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mBT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nanoETXexpress-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nETXe-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mTT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mCT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*pITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXA4*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-DC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cTH6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*Qseven-Q7AL*:");
MODULE_ALIAS("acpi*:KEM0000:*");
MODULE_ALIAS("acpi*:KEM0001:*");

MODULE_INFO(srcversion, "03E8959469CDDA86D67869D");

MODULE_INFO(suserelease, "ALP-0.1");
