#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdhci_dumpregs, 0xabc2e428, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xfd16223f, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x0ef57896, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x8f75ef9f, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x80a25a1f, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x7add7f11, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x9d769814, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0xf15d8012, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x0ae7ea15, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x1e36e33f, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x766b2cce, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x8326f200, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x622fda95, "_gpl");
SYMBOL_CRC(sdhci_request, 0x2f91f2c7, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x8882cd18, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x5f57d341, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xfc2df39e, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x0689c59d, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x508c11b6, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x553500e4, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xb295a2dc, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xc66026f2, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x11dd4970, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xd62275f2, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0xb26bfa45, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x3603f24e, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x9b28e8f4, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xc5f42877, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x61534030, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x3c2c5467, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x982a1e14, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x21e7fc1c, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xefa17fd4, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xacc2f23d, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0xe2a62416, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x540e8d0a, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x88af5893, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xaf5e0a8d, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0xcf0a5918, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0xfa53f818, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x2174e3d7, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xa88f437a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x5f27b4f0, "mmc_alloc_host" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xa0c59a97, "regulator_disable" },
	{ 0xa091e712, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb92b115e, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x4484a76b, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x676ce14e, "mmc_regulator_set_ocr" },
	{ 0xac355705, "mmc_request_done" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb232584f, "mmc_gpio_get_cd" },
	{ 0x4d0fe0c2, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0x21eba387, "mmc_add_host" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xca3037f2, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x105ad333, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x101be4b2, "mmc_can_gpio_ro" },
	{ 0x24d0c73c, "mmc_gpio_get_ro" },
	{ 0xf9a482f9, "msleep" },
	{ 0x98d45563, "device_property_read_u64_array" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc416b611, "regulator_is_supported_voltage" },
	{ 0xa54a4d5d, "regulator_get_current_limit" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xe6c44434, "regulator_enable" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4caf187, "mmc_regulator_get_supply" },
	{ 0xfe913ddc, "dma_max_mapping_size" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcc5fefe8, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x335aa26b, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4c9b2e65, "dma_sync_sg_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x91d60580, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb3912b72, "sdio_signal_irq" },
	{ 0x24cac07, "mmc_command_done" },
	{ 0x88a0cb70, "sg_miter_next" },
	{ 0x7daf4425, "sg_miter_stop" },
	{ 0x88adb634, "__wake_up" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "B52E1B3C076774247A11436");

MODULE_INFO(suserelease, "ALP-0.1");
