#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0xe957e2aa, "");
SYMBOL_CRC(prestera_device_unregister, 0xd0d047a3, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x53641acc, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa0c2a7fc, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xca5c2401, "switchdev_bridge_port_offload" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x7bc940c2, "flow_block_cb_incref" },
	{ 0xe914e508, "flow_rule_match_ports_range" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97574cf8, "free_fib_info" },
	{ 0x196e66dc, "flow_rule_match_basic" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x384e6fb2, "vlan_dev_real_dev" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x65de1d02, "devlink_port_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xa5a3876e, "flow_block_cb_decref" },
	{ 0x29157a8e, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x7776f972, "unregister_fib_notifier" },
	{ 0x749206ac, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xa978fe40, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc24fffe5, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1e6f629d, "idr_alloc_cyclic" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x61cb4587, "rhashtable_free_and_destroy" },
	{ 0x4961d9ec, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x4bf86372, "flow_rule_match_ports" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x94e1f90f, "devlink_trap_report" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd5aa5b6a, "__neigh_event_send" },
	{ 0x1c4e2627, "flow_block_cb_alloc" },
	{ 0x24970d85, "switchdev_handle_port_obj_add" },
	{ 0x46ce4551, "fib_alias_hw_flags_set" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa52e3d80, "__neigh_create" },
	{ 0x3da8825c, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x286a911f, "br_multicast_enabled" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x22735e8c, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87fd3a8c, "netdev_master_upper_dev_get_rcu" },
	{ 0x586422f7, "devlink_traps_register" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x43a10365, "radix_tree_tagged" },
	{ 0x88bff22a, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaad67728, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf968c5ee, "devlink_priv" },
	{ 0x93dcdc73, "devlink_port_register_with_ops" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x37748a2d, "netdev_has_any_upper_dev" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb5882092, "devlink_trap_groups_register" },
	{ 0x2a59284b, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xd65fbd32, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe622c847, "netdev_walk_all_lower_dev" },
	{ 0xcb4c157e, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x1ac6b592, "__fib_lookup" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x2bc4d750, "devlink_trap_groups_unregister" },
	{ 0x192f660a, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xee9d7ecc, "rhashtable_walk_exit" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xed18869f, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x1f19a429, "netdev_lower_get_next" },
	{ 0x86414d09, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8f5c37c9, "br_vlan_enabled" },
	{ 0x4170672b, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3c41cf1, "devlink_unregister" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0xabe460aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf291c78d, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x8869c5e0, "register_fib_notifier" },
	{ 0xd7394d60, "l3mdev_fib_table_rcu" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xfcb8b3ed, "flow_rule_match_eth_addrs" },
	{ 0x44e29e64, "devlink_port_attrs_set" },
	{ 0x8bad69ab, "flow_block_cb_priv" },
	{ 0xa2f80b12, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3157f543, "devlink_alloc_ns" },
	{ 0xbe777206, "devlink_register" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x6b96cebb, "devlink_free" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x3ad01691, "flow_rule_match_ipv4_addrs" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x8ea900d8, "rhashtable_walk_enter" },
	{ 0x29960786, "fib_table_lookup" },
	{ 0x35ba399d, "skb_pull_rcsum" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xc765f03e, "switchdev_handle_port_attr_set" },
	{ 0x17d8dbf1, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x5a9ec1c9, "flow_rule_match_icmp" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "ALP-0.1");
