#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlxsw_core_port_driver_priv, 0x63874d4c, "");
SYMBOL_CRC(mlxsw_core_max_ports, 0x0ca34ccf, "");
SYMBOL_CRC(mlxsw_core_max_lag, 0xd21722b4, "");
SYMBOL_CRC(mlxsw_core_driver_priv, 0xbfb7df3c, "");
SYMBOL_CRC(mlxsw_core_fw_rev_minor_subminor_validate, 0xcbab836f, "");
SYMBOL_CRC(mlxsw_core_driver_register, 0xd27ebd3a, "");
SYMBOL_CRC(mlxsw_core_driver_unregister, 0x446bd252, "");
SYMBOL_CRC(mlxsw_core_bus_device_register, 0xbe371542, "");
SYMBOL_CRC(mlxsw_core_bus_device_unregister, 0x5cf3dd79, "");
SYMBOL_CRC(mlxsw_core_skb_transmit_busy, 0xac1074a5, "");
SYMBOL_CRC(mlxsw_core_skb_transmit, 0x854160d1, "");
SYMBOL_CRC(mlxsw_core_ptp_transmitted, 0x27d7e796, "");
SYMBOL_CRC(mlxsw_core_rx_listener_register, 0xbfb82570, "");
SYMBOL_CRC(mlxsw_core_rx_listener_unregister, 0x5bab52e6, "");
SYMBOL_CRC(mlxsw_core_event_listener_register, 0x7e08c6e0, "");
SYMBOL_CRC(mlxsw_core_event_listener_unregister, 0xd7a93413, "");
SYMBOL_CRC(mlxsw_core_trap_register, 0x9bf9e97c, "");
SYMBOL_CRC(mlxsw_core_trap_unregister, 0x81b3e280, "");
SYMBOL_CRC(mlxsw_core_traps_register, 0x868bfe5e, "");
SYMBOL_CRC(mlxsw_core_traps_unregister, 0xbf7ee618, "");
SYMBOL_CRC(mlxsw_core_trap_state_set, 0xad96a4d8, "");
SYMBOL_CRC(mlxsw_reg_trans_query, 0x1cb8f858, "");
SYMBOL_CRC(mlxsw_reg_trans_write, 0xdc31781e, "");
SYMBOL_CRC(mlxsw_reg_trans_bulk_wait, 0x996c5d6d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_register, 0xd111d3e8, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_unregister, 0x16f4221d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handlers_call, 0xbda212df, "");
SYMBOL_CRC(mlxsw_reg_query, 0xa7765e88, "");
SYMBOL_CRC(mlxsw_reg_write, 0x8854d198, "");
SYMBOL_CRC(mlxsw_core_skb_receive, 0xb62f9a21, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_set, 0xf82bdc70, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_get, 0x83fb69af, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_clear, 0x75339042, "");
SYMBOL_CRC(mlxsw_core_res_valid, 0x8384a5da, "");
SYMBOL_CRC(mlxsw_core_res_get, 0x6f49e682, "");
SYMBOL_CRC(mlxsw_core_port_init, 0x508923e3, "");
SYMBOL_CRC(mlxsw_core_port_fini, 0x7b0bfeec, "");
SYMBOL_CRC(mlxsw_core_cpu_port_init, 0x23eddc68, "");
SYMBOL_CRC(mlxsw_core_cpu_port_fini, 0xff007c25, "");
SYMBOL_CRC(mlxsw_core_port_netdev_link, 0xd79794f2, "");
SYMBOL_CRC(mlxsw_core_port_devlink_port_get, 0xea890a9a, "");
SYMBOL_CRC(mlxsw_cmd_exec, 0x484489a4, "");
SYMBOL_CRC(mlxsw_core_schedule_dw, 0x902c3533, "");
SYMBOL_CRC(mlxsw_core_schedule_work, 0xd71566b9, "");
SYMBOL_CRC(mlxsw_core_flush_owq, 0x19fa5852, "");
SYMBOL_CRC(mlxsw_core_kvd_sizes_get, 0x50359cc0, "");
SYMBOL_CRC(mlxsw_core_resources_query, 0xc530eb82, "");
SYMBOL_CRC(mlxsw_core_read_frc_h, 0x2c68ced3, "");
SYMBOL_CRC(mlxsw_core_read_frc_l, 0x77d83398, "");
SYMBOL_CRC(mlxsw_core_read_utc_sec, 0x0f4a209d, "");
SYMBOL_CRC(mlxsw_core_read_utc_nsec, 0x86817014, "");
SYMBOL_CRC(mlxsw_core_sdq_supports_cqe_v2, 0x5c73d5a4, "");
SYMBOL_CRC(mlxsw_afk_create, 0x94621adf, "");
SYMBOL_CRC(mlxsw_afk_destroy, 0x0e81c09c, "");
SYMBOL_CRC(mlxsw_afk_key_info_get, 0x2c53a96f, "");
SYMBOL_CRC(mlxsw_afk_key_info_put, 0x15801382, "");
SYMBOL_CRC(mlxsw_afk_key_info_subset, 0x3d279269, "");
SYMBOL_CRC(mlxsw_afk_key_info_block_encoding_get, 0x02dfd3d0, "");
SYMBOL_CRC(mlxsw_afk_key_info_blocks_count_get, 0x47041e4e, "");
SYMBOL_CRC(mlxsw_afk_values_add_u32, 0x7ded8b62, "");
SYMBOL_CRC(mlxsw_afk_values_add_buf, 0x6bc6adb7, "");
SYMBOL_CRC(mlxsw_afk_encode, 0x33e16dfa, "");
SYMBOL_CRC(mlxsw_afk_clear, 0xbc222a8d, "");
SYMBOL_CRC(mlxsw_afa_create, 0x72be7e7b, "");
SYMBOL_CRC(mlxsw_afa_destroy, 0x9cbf026d, "");
SYMBOL_CRC(mlxsw_afa_block_create, 0x858c30d0, "");
SYMBOL_CRC(mlxsw_afa_block_destroy, 0x5ff17b5c, "");
SYMBOL_CRC(mlxsw_afa_block_commit, 0x618a30ab, "");
SYMBOL_CRC(mlxsw_afa_block_first_set, 0x829e8851, "");
SYMBOL_CRC(mlxsw_afa_block_cur_set, 0x202693f0, "");
SYMBOL_CRC(mlxsw_afa_block_first_kvdl_index, 0xdeb1dc2e, "");
SYMBOL_CRC(mlxsw_afa_block_activity_get, 0xe16986dd, "");
SYMBOL_CRC(mlxsw_afa_block_continue, 0xdc415cf1, "");
SYMBOL_CRC(mlxsw_afa_block_jump, 0x827a2f1f, "");
SYMBOL_CRC(mlxsw_afa_block_terminate, 0x43a9b87e, "");
SYMBOL_CRC(mlxsw_afa_cookie_lookup, 0xecab212a, "");
SYMBOL_CRC(mlxsw_afa_block_append_vlan_modify, 0x718d28f4, "");
SYMBOL_CRC(mlxsw_afa_block_append_drop, 0xe4d9ac5a, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap, 0x07abcc0c, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap_and_forward, 0xb6517b2e, "");
SYMBOL_CRC(mlxsw_afa_block_append_mirror, 0xd11c5c21, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dsfield, 0x2f303cd3, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dscp, 0x383bc49a, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_ecn, 0x0d0129fc, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_switch_prio, 0x65c7e645, "");
SYMBOL_CRC(mlxsw_afa_block_append_fwd, 0xff0b141d, "");
SYMBOL_CRC(mlxsw_afa_block_append_allocated_counter, 0xd28256cf, "");
SYMBOL_CRC(mlxsw_afa_block_append_counter, 0xa509fafd, "");
SYMBOL_CRC(mlxsw_afa_block_append_police, 0x49ec8a06, "");
SYMBOL_CRC(mlxsw_afa_block_append_fid_set, 0xe1860dde, "");
SYMBOL_CRC(mlxsw_afa_block_append_mcrouter, 0xd9f711ae, "");
SYMBOL_CRC(mlxsw_afa_block_append_ip, 0xd888ffb3, "");
SYMBOL_CRC(mlxsw_afa_block_append_l4port, 0xc5eacafe, "");
SYMBOL_CRC(mlxsw_afa_block_append_sampler, 0xa8e2509a, "");
SYMBOL_CRC(mlxsw_env_get_module_info, 0x71e24d79, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom, 0x5cf0d0f9, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom_by_page, 0x4866767a, "");
SYMBOL_CRC(mlxsw_env_reset_module, 0x4899163e, "");
SYMBOL_CRC(mlxsw_env_get_module_power_mode, 0x4a558271, "");
SYMBOL_CRC(mlxsw_env_set_module_power_mode, 0x14d6ca2e, "");
SYMBOL_CRC(mlxsw_env_module_overheat_counter_get, 0x51b5769d, "");
SYMBOL_CRC(mlxsw_env_module_port_map, 0x6929f2b4, "");
SYMBOL_CRC(mlxsw_env_module_port_unmap, 0xb68e9fa8, "");
SYMBOL_CRC(mlxsw_env_module_port_up, 0x02815b77, "");
SYMBOL_CRC(mlxsw_env_module_port_down, 0xed2801d4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_register, 0x14e17bb4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_unregister, 0x4036254f, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb2f1e7b, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf23f694, "devl_resources_unregister" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1baa71a, "devlink_linecard_provision_fail" },
	{ 0x892f9f04, "__SCT__tp_func_devlink_hwerr" },
	{ 0xf183e487, "devl_params_unregister" },
	{ 0x1fc398cf, "devl_linecard_create" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x65d2ce07, "devl_unlock" },
	{ 0x27a4a881, "__tracepoint_devlink_hwmsg" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x72d81c59, "devl_port_unregister" },
	{ 0x89c7c781, "devl_param_driverinit_value_get" },
	{ 0x43a10365, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf968c5ee, "devlink_priv" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0xd4670c4d, "__tracepoint_devlink_hwerr" },
	{ 0x770dce97, "hwmon_device_unregister" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa2239d77, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbd5878a5, "thermal_cooling_device_unregister" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x1f04ae16, "devl_resource_occ_get_register" },
	{ 0xfd3d436c, "devl_register" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd73e3f13, "hwmon_device_register_with_groups" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d6d0bf9, "thermal_zone_device_unregister" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xcb41ed90, "thermal_zone_device_priv" },
	{ 0x17a26f2a, "devl_unregister" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3c41cf1, "devlink_unregister" },
	{ 0x51905f4, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0x70421f21, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb4e74efd, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb69afbb0, "devlink_linecard_deactivate" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x44e29e64, "devlink_port_attrs_set" },
	{ 0xb2541db8, "__SCK__tp_func_devlink_hwerr" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3157f543, "devlink_alloc_ns" },
	{ 0xbe777206, "devlink_register" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x84164a4f, "thermal_cooling_device_register" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6b96cebb, "devlink_free" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xe2e197ee, "thermal_zone_unbind_cooling_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9996f43, "thermal_zone_device_enable" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x95d761fc, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c2aab2f, "auxiliary_driver_unregister" },
	{ 0xa0d81b76, "__SCT__tp_func_devlink_hwmsg" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa0c2a7fc, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x606b4aba, "devlink_linecard_provision_set" },
	{ 0xeff42b02, "devl_resource_occ_get_unregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d575572, "devlink_is_reload_failed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x22ea2aa2, "thermal_zone_bind_cooling_device" },
	{ 0xa54a2cba, "devlink_linecard_provision_clear" },
	{ 0x1fd399f6, "devl_resource_register" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x1fdc584e, "devl_health_reporter_create" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x90a128ed, "devlink_port_linecard_set" },
	{ 0xa948b5c, "devlink_linecard_nested_dl_set" },
	{ 0x4f791397, "_dev_err" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0xa8ba8229, "devl_port_register_with_ops" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xb7eab117, "devl_linecard_destroy" },
	{ 0x983c1964, "ida_free" },
	{ 0xa4b6f9c8, "devl_params_register" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbf4513c3, "devlink_linecard_activate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2a795e6d, "device_del" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x4197b974, "__SCK__tp_func_devlink_hwmsg" },
	{ 0xb4433e7c, "thermal_zone_device_register_with_trips" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mlxfw");

MODULE_ALIAS("auxiliary:mlxsw_core.lc");

MODULE_INFO(srcversion, "E752265568CFF91025A5888");

MODULE_INFO(suserelease, "ALP-0.1");
