#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe994f39b, "genphy_soft_reset" },
	{ 0x1366f284, "genphy_read_mmd_unsupported" },
	{ 0x52dcbd69, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e88abb2, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xea88e8a0, "genphy_suspend" },
	{ 0x8ffecdaf, "mdiobus_read" },
	{ 0xe3d44068, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x51f2d6b1, "phy_write_mmd" },
	{ 0x807c58a7, "mdiobus_write" },
	{ 0x93703918, "genphy_read_status" },
	{ 0xcbc668e5, "phy_modify" },
	{ 0xf859c862, "phy_read_mmd" },
	{ 0xb668709b, "genphy_restart_aneg" },
	{ 0x85103d20, "phy_trigger_machine" },
	{ 0x18a1fc13, "phy_error" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xd66bb2c4, "ptp_classify_raw" },
	{ 0xfe6df652, "ptp_parse_header" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x745e2ddb, "skb_complete_tx_timestamp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xada87504, "__mdiobus_write" },
	{ 0x766fea1f, "__mdiobus_read" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4f791397, "_dev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5ae0af77, "phy_drivers_unregister" },
	{ 0xd5a0637c, "__genphy_config_aneg" },
	{ 0xd2380f71, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x2ef5b0af, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeed48b2e, "phy_modify_mmd" },
	{ 0x29157a8e, "skb_push" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x68d3f8f0, "devm_phy_package_join" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x660fae05, "gpiod_set_consumer_name" },
	{ 0xed01c46e, "gpiod_set_value_cansleep" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x26849377, "ptp_clock_register" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f9d85be, "ptp_find_pin_unlocked" },
	{ 0x780af2ad, "ptp_clock_event" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6786632, "ethnl_cable_test_result" },
	{ 0x73c5e633, "ethnl_cable_test_fault_length" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "0E66A91E1DB28133B52F458");

MODULE_INFO(suserelease, "ALP-0.1");
