#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_rx_check, 0x0fdb68ae, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xa74cb1a5, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x09c314bc, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x5202dedb, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x2db93d9e, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x36b625ad, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xc860a919, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xd232a63a, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x2f3b8fbf, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x5aee39dd, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xc42f0588, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x2039341d, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x5bb46e4a, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x20e3f8f5, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x6907c512, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x5e6f9d80, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x0d8751b3, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb528cf19, "mt76_connac2_tx_check_aggr" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x7837fa9d, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xc4628783, "mt76_wcid_init" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xc18ea8fa, "mt76_connac_free_pending_tx_skbs" },
	{ 0xce277074, "mt792x_sta_statistics" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x1f3c8656, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4baa01c4, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3364ce8b, "mt792x_get_et_sset_count" },
	{ 0xaaa4fc76, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe4acaaef, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xaafb06f0, "mt792x_init_acpi_sar_power" },
	{ 0x3e291c43, "mt792x_set_wakeup" },
	{ 0x496f2c5c, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xa524fe08, "mt76_rx" },
	{ 0x51024d50, "mt792x_load_firmware" },
	{ 0xddd27e89, "mt76_connac_mcu_sched_scan_req" },
	{ 0x17a58d07, "mt792x_get_et_stats" },
	{ 0xa3abd398, "mt76_connac2_txwi_free" },
	{ 0x2d808335, "__tracepoint_lp_event" },
	{ 0x7b83cb89, "mt76_connac_mcu_uni_add_bss" },
	{ 0x224f08e8, "mt76_connac2_mac_add_txs_skb" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x9aa6e7ca, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x1d034b19, "mt76_register_device" },
	{ 0x4d6f28fa, "mt792x_get_stats" },
	{ 0xc97f8735, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x86fb4c1, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x636c6c2f, "mt76_find_power_limits_node" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x20f8e492, "mt76_set_channel" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x3abc184a, "mt76_mcu_send_and_get_msg" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0xba8aaf44, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3ae833cc, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x86562ac7, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x89a0a435, "devm_hwmon_device_register_with_groups" },
	{ 0x763e1db5, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64cfc088, "mt792x_get_tsf" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x58f54c45, "mt792x_tx" },
	{ 0xa9d71244, "mt792x_get_et_strings" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x4f6e5027, "cfg80211_reg_can_beacon" },
	{ 0x5e137cd8, "mt792x_remove_interface" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x68e60d3, "mt792x_queues_read" },
	{ 0x37a02ea7, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x38d5bf3c, "mt792x_queues_acq" },
	{ 0xeb019018, "ieee80211_sched_scan_results" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cf16c2b, "mt76_insert_ccmp_hdr" },
	{ 0xc16160e7, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x42b0d7c2, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xa99af250, "mt792x_tx_stats_show" },
	{ 0xa6c7a262, "mt792x_acpi_get_mtcl_conf" },
	{ 0x6017b7ac, "mt76_rx_aggr_start" },
	{ 0xbf04d47f, "__SCK__tp_func_lp_event" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x2dbb51be, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9980f7db, "mt792x_mac_init_band" },
	{ 0x2fa3aa41, "mt76_skb_adjust_pad" },
	{ 0x19ec0106, "mt792x_init_wiphy" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xb323e85c, "mt76_connac_sta_state_dp" },
	{ 0xae62195b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xc17af91e, "mt76_queues_read" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0xaeaffc2f, "mt76_register_debugfs_fops" },
	{ 0xfacf5fbb, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xc8079470, "mt76_connac2_mac_write_txwi" },
	{ 0x700f99ce, "__mt76_set_tx_blocked" },
	{ 0xb5ae8dab, "mt76_connac_mcu_sta_ba" },
	{ 0x5c8afb34, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xa5f6c68b, "mt792x_mac_reset_counters" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0xd203fe13, "mt76_rx_aggr_stop" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xdd5e4809, "mt76_connac_mcu_add_key" },
	{ 0xfec50ad8, "mt792x_unassign_vif_chanctx" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9d6d487, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x7b79e448, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1384365c, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xee02f1d8, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0xf8b20f30, "mt792x_init_wcid" },
	{ 0xc72b4096, "mt792x_init_acpi_sar" },
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0xf6959b50, "mt792x_stop" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x207f75fa, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x8c0c8d42, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x88fc9301, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x9ff0f17e, "mt792x_tx_worker" },
	{ 0x6770a3df, "mt792x_flush" },
	{ 0x85df3423, "mt792x_rx_get_wcid" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb52c04f6, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x91d60580, "finish_wait" },
	{ 0x2b661ee6, "mt76_connac_mcu_set_channel_domain" },
	{ 0x584f478d, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x3c8c3654, "mt76_tx_status_skb_add" },
	{ 0x25dd83ea, "mt76_connac_pm_wake" },
	{ 0x6c15cbec, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xd3ab268e, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x69f9f68e, "mt76_connac_mcu_chip_config" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x6870227e, "mt792x_set_coverage_class" },
	{ 0x59732a81, "mt792x_acpi_get_flags" },
	{ 0xcb6b8847, "__mt76_tx_complete_skb" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8ceb72ed, "mt76_set_stream_caps" },
	{ 0x9d1354a8, "mt792x_mac_assoc_rssi" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x88adb634, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x262c4ba2, "mt76_connac_mcu_update_arp_filter" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "F76EF1128C6B833825157F7");

MODULE_INFO(suserelease, "ALP-0.1");
