#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wlcore_set_key, 0x60bdffd4, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x04b212fc, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x4bbb2187, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x6582fc8f, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x4980ad86, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x6c8086a0, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xcfa8c370, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x25496e01, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xe48a6aff, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x91c06a95, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x143c6795, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x9691a4bc, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xde0913fb, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x5d084afb, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x497752d4, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xa05acabc, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x2efceac3, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xd0735c57, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xf9859328, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xf87d32a2, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x03e80e69, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x7d85fce2, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x9b233dd5, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0xcc160f37, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x6e236f91, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x1cd6d13e, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x8640e09c, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x26cc5935, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x75535555, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x7fcaaf68, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xdd353015, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x611dd54f, "");
SYMBOL_CRC(wlcore_tx_complete, 0x1db3f443, "");
SYMBOL_CRC(wl1271_tx_flush, 0x2e6eb5ee, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x36bedf9c, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xb54506a5, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x8ed15bc3, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x13560822, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x99b65107, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x87957abd, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x022c5a5d, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x63c3a473, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x03f55c29, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x3dd09d5c, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x41fdd121, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xc2e9ce92, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x6c39cf72, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x889d3b29, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xb8ba633e, "ieee80211_proberesp_get" },
	{ 0xe9fcd5f9, "device_wakeup_enable" },
	{ 0x1ae0cd9a, "request_firmware_nowait" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbc03a2a0, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xd46c537d, "no_seek_end_llseek" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x6cb5fd93, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x233a8598, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffed9b5c, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x111936f7, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xeb019018, "ieee80211_sched_scan_results" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x29b7ec2d, "dev_pm_clear_wake_irq" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x693eba8e, "_ieee80211_chswitch_done" },
	{ 0xb6581e76, "pm_runtime_force_resume" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2e0fb015, "ieee80211_cqm_rssi_notify" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x140dd535, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x21e0e1, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7d594fe2, "pm_runtime_force_suspend" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xc506047d, "device_remove_bin_file" },
	{ 0xc417c063, "device_remove_file" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0xc76f9fd4, "ieee80211_sched_scan_stopped" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x48ee3dd, "ieee80211_probereq_get" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb07f98da, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x68ef8b6a, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdf6f73de, "ieee80211_pspoll_get" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc2005536, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x38d9882f, "ieee80211_stop_rx_ba_session" },
	{ 0x6b49964e, "ieee80211_wake_queue" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x156c9c30, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2a6b60e1, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0x26383b97, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x70095ee3, "pm_wakeup_dev_event" },
	{ 0x2fa39998, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "4F541C24F959ABD0B17FD55");

MODULE_INFO(suserelease, "ALP-0.1");
