#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(st21nfca_hci_probe, 0xff016206, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x17cc2660, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x7987c970, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0xa1dab757, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xab0d0474, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x22801d1b, "");
SYMBOL_CRC(st21nfca_dep_init, 0x4ff6fd2f, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x2b20fdcb, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x4af97472, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x17a65cdc, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x87852ad6, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x4d3c8d46, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xb1446494, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xded0532d, "");
SYMBOL_CRC(st21nfca_se_init, 0xd374d59e, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xe34b564a, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x4e013589, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xec6c9155, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a7ddf4f, "nfc_hci_free_device" },
	{ 0xde84344f, "nfc_se_transaction" },
	{ 0xb390bb2b, "nfc_get_local_general_bytes" },
	{ 0xb9a24d1d, "nfc_hci_register_device" },
	{ 0xab70c2c0, "nfc_set_remote_general_bytes" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf61553a4, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf20cad5a, "nfc_hci_get_clientdata" },
	{ 0xcaa7ade5, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde65ece8, "nfc_hci_allocate_device" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xae288f14, "nfc_se_connectivity" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaca16ccb, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97edfd9f, "nfc_hci_set_param" },
	{ 0x21a92d99, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x8f0bb5f5, "nfc_hci_send_event" },
	{ 0xa5ace0b6, "nfc_hci_disconnect_all_gates" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf8879266, "nfc_hci_disconnect_gate" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb427e1a1, "nfc_hci_set_clientdata" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x1e7bbd0e, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0xabe460aa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9bf8a1a7, "nfc_hci_get_param" },
	{ 0xed18eccd, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1acb92f7, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x23714c5d, "nfc_llc_stop" },
	{ 0xb65c64d6, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x67725fb8, "nfc_tm_data_received" },
	{ 0x177c614f, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x79a4dff8, "nfc_hci_unregister_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xc26918ca, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "ALP-0.1");
