#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0xcad89a12, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x0f5fe34a, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x340bb2a0, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x972c7b99, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xe25e632b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x7c94d877, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x717fc286, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x280345cf, "");
SYMBOL_CRC(nd_device_notify, 0xb8b76feb, "");
SYMBOL_CRC(nvdimm_region_notify, 0xb5d96b1f, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xb81c5366, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x5af5f491, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x714f7c2a, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x0be393e7, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xb971ab24, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xdd934b44, "");
SYMBOL_CRC(nd_device_unregister, 0x1f4f750e, "");
SYMBOL_CRC(__nd_driver_register, 0xa7c31a3d, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x71d5196e, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xeb57a7d6, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x725874e5, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x4f4d19ee, "_gpl");
SYMBOL_CRC(to_ndd, 0xfed267aa, "");
SYMBOL_CRC(nvdimm_name, 0x6532b5d2, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x27fb389d, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x404e6328, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xa1bca28b, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xe9ec366c, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x13d4df15, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x69fafa9d, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x092d11ba, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x46d9233f, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x5328f068, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xe3a695f4, "_gpl");
SYMBOL_CRC(to_nd_region, 0x9cc1a640, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x5ea6b534, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x373bc368, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xd16f9a4f, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x0ceb4d9e, "");
SYMBOL_CRC(nd_region_release_lane, 0xe7224f92, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x85790a7c, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x242d71c2, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x00407666, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x834499d9, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x8f968b2a, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x56f53a64, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x030bc5f3, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x2ea53b29, "");
SYMBOL_CRC(pmem_sector_size, 0xc557b685, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x97b26207, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xda0b7603, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x34be8eb8, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xe46d4cfe, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x0593584e, "");
SYMBOL_CRC(devm_namespace_enable, 0x7566bf71, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x810e6c89, "_gpl");
SYMBOL_CRC(badrange_init, 0x1d14fc1c, "_gpl");
SYMBOL_CRC(badrange_add, 0x63edc26b, "_gpl");
SYMBOL_CRC(badrange_forget, 0x4ffb77d3, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xb510826e, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xbb64b1aa, "");
SYMBOL_CRC(is_nd_btt, 0xef2b8fc6, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xe2616e98, "");
SYMBOL_CRC(nd_btt_version, 0xdb882a57, "");
SYMBOL_CRC(nd_btt_probe, 0x0a8c29d1, "");
SYMBOL_CRC(to_nd_pfn, 0x42d89389, "");
SYMBOL_CRC(is_nd_pfn, 0x665c440f, "");
SYMBOL_CRC(nd_pfn_validate, 0x1d8efd03, "");
SYMBOL_CRC(nd_pfn_probe, 0x85498a52, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x3521153c, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xb9d98e8a, "");
SYMBOL_CRC(is_nd_dax, 0x362bb3dc, "");
SYMBOL_CRC(nd_dax_probe, 0xca381f12, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x14125909, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x171a8260, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x8c76a9f4, "__devm_release_region" },
	{ 0xb705ff56, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4dec8664, "kernfs_put" },
	{ 0x413e35d8, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4a1a514, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x9a303640, "badblocks_check" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xfa4d24c7, "badblocks_clear" },
	{ 0x3df6cca4, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x52ce608c, "up_read" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa7973e26, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x4e9202a8, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x3b50a2e6, "blk_integrity_register" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x9f5e1045, "devm_memremap" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x36da11b7, "badblocks_set" },
	{ 0x83313941, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x13a7c851, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1824436, "badblocks_exit" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xd1cd0215, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x8a6dcdd, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b3fe43, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x2e67892c, "badblocks_show" },
	{ 0x8a1c883, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc40a13ae, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0xa1fbe5dd, "perf_pmu_migrate_context" },
	{ 0x90d4f82a, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xaee73518, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xcc5fb8f3, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x6059e10c, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xca08818d, "class_create" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xa085e8d2, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x983c1964, "ida_free" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6facf7a3, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "899D0F9562B356761BD69D6");

MODULE_INFO(suserelease, "ALP-0.1");
