#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x83d8f059, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xea5cfbfc, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x5f8f8b82, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x77b50a98, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x35f922ba, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x2309ed26, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x033e77f1, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xa0c1e6eb, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x28ddbe3e, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x3385dc1e, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x89319c8e, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70aa8bb8, "bio_put" },
	{ 0x80eb6d57, "radix_tree_delete" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0x88a0cb70, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x31c28753, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8f527eb0, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xd145d29a, "radix_tree_next_chunk" },
	{ 0x5de5c077, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0xe84a2a5e, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xebc84b84, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x3ed84b38, "blkdev_get_by_path" },
	{ 0x7daf4425, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc2d42638, "bio_chain" },
	{ 0xe38b9585, "blk_mq_alloc_request" },
	{ 0x983c1964, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x28fbf09, "pci_p2pdma_enable_store" },
	{ 0xd8d29dcc, "pci_p2pmem_alloc_sgl" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x62fb9628, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd60c68c4, "bio_integrity_alloc" },
	{ 0x335aa26b, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb3641043, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xcabd54a8, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xa772295b, "nvme_passthru_start" },
	{ 0x9147a0df, "pci_p2pdma_enable_show" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe4adc6cb, "__xa_cmpxchg" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x39e59554, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0xdbeb91c2, "vfs_fsync" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xbd3a062d, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb29660ef, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x51dfc99b, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4de52ef9, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x9e083dae, "nvme_ctrl_from_file" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x3d6a50c4, "nvme_init_request" },
	{ 0x754d539c, "strlen" },
	{ 0x841c12e3, "nvme_execute_rq" },
	{ 0x8b6040af, "key_lookup" },
	{ 0x6a88f534, "nvme_put_ns" },
	{ 0x5dee40f2, "pci_p2pmem_find_many" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x79963e31, "nvme_auth_gen_privkey" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x7a995c8b, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x18f81f01, "nvme_get_features" },
	{ 0xdd6caa74, "submit_bio_wait" },
	{ 0x1f8acb8f, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x6e3ed840, "__blkdev_issue_discard" },
	{ 0x45c54c3b, "fs_bio_set" },
	{ 0x66ce1848, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x33c81d60, "filp_open" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x47f8717d, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd441004d, "ida_destroy" },
	{ 0xf0b663ec, "config_group_init" },
	{ 0x8ae6b8e0, "config_group_find_item" },
	{ 0x7f567295, "radix_tree_insert" },
	{  0xb51ff, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x35db5db2, "bio_add_pc_page" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb3d4a020, "t10_pi_type1_crc" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5c5a1a2, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d96479f, "nvme_command_effects" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x97c0e82b, "__module_get" },
	{ 0x9933313c, "pci_p2pmem_free_sgl" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xd1cd0215, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1e8ae27f, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4037c8d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4d802929, "nvme_passthru_end" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa30cb4b, "mempool_create" },
	{ 0x7200346b, "crypto_alloc_kpp" },
	{ 0x2404b96d, "vfs_fallocate" },
	{ 0xc7084ab8, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0x64ffd769, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xa00fb015, "mempool_alloc" },
	{ 0x8cc18953, "blk_mq_free_request" },
	{ 0x78015c49, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x84cb6b74, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x5cc89cf6, "submit_bio" },
	{ 0xc40a13ae, "module_put" },
	{ 0x8c9f11cf, "pci_p2pdma_distance_many" },
	{ 0x94f22cdb, "nvme_auth_gen_pubkey" },
	{ 0xfe1c012b, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xaee73518, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,nvme-core,t10-pi,nvme-keyring");


MODULE_INFO(srcversion, "FD70A8E02CA0851539E9C51");

MODULE_INFO(suserelease, "ALP-0.1");
