#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cxgbi_device_portmap_create, 0x4930f4d1, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xece2a910, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x740680e8, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xd21fc6a5, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xee9f4c00, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x6a8a2b53, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xbed02b9e, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xa0974271, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x014b06b2, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xb35e3a91, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xb0fcd353, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x7e7d9cd9, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xfb6e9376, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x70f6256e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x96fa3e1f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x7bf7fbb0, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x5b10fbd7, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x59ec94d5, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x15219da0, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x6e97f6b8, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x0bb71dc4, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x91bdedbe, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xf16e9fb6, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x9656c540, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x700cb62d, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x4293664a, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x27cbcd93, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x14308579, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x8b00fb99, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x9c41daaa, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x66a0d233, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x5d132226, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x924a9d89, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x2bb1405c, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x270a1ccc, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x81ee6d12, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xfca2f60c, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xa2104172, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x5ecb8071, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x238c9ba7, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xeab9cdcd, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x73493efb, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xf4151025, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x4138f5ac, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x384e6fb2, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x90fe29a7, "iscsi_host_remove" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0xae3ad14a, "iscsi_host_free" },
	{ 0x746f3c1b, "iscsi_host_alloc" },
	{ 0x51dfc99b, "pci_dev_get" },
	{ 0xa5f9576f, "iscsi_host_add" },
	{ 0x33001951, "scsi_host_put" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdbf8ebe, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x84533a32, "iscsi_conn_queue_xmit" },
	{ 0x710bf651, "__kfree_skb" },
	{ 0xcf913e46, "iscsi_tcp_cleanup_task" },
	{ 0xe097269f, "cxgbi_ppm_ppod_release" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f0e2d61, "iscsi_tcp_set_max_r2t" },
	{ 0x65ea7962, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xbe3c7803, "iscsi_tcp_conn_setup" },
	{ 0x48e04b90, "iscsi_session_setup" },
	{ 0xfbb2e183, "iscsi_tcp_r2tpool_alloc" },
	{ 0x96aa1626, "iscsi_session_teardown" },
	{ 0x840b9886, "iscsi_tcp_r2tpool_free" },
	{ 0xaa022ec3, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x49932022, "iscsi_unregister_transport" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x97cd057f, "iscsi_conn_failure" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd4d04f89, "iscsi_register_transport" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x322e178b, "ip6_route_output_flags" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80b1daf5, "iscsi_host_get_param" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20d1dd, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x8815bc3d, "iscsi_tcp_recv_skb" },
	{ 0x263d3ced, "iscsi_lookup_endpoint" },
	{ 0x2a1f5798, "iscsi_conn_bind" },
	{ 0x1332a62f, "iscsi_put_endpoint" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x29cd43b6, "iscsi_tcp_hdr_recv_prep" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1a71ac34, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x53813557, "__folio_put" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xc40a13ae, "module_put" },
	{ 0x67e5d643, "iscsi_destroy_endpoint" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x933c9d40, "cxgbi_ppm_ppods_reserve" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0xf02dfdcf, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xc46dfc5b, "ipv6_dev_get_saddr" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa625cda3, "iscsi_create_endpoint" },
	{ 0x5a100bdc, "__ip_dev_find" },
	{ 0xabe460aa, "skb_put" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcd531635, "iscsi_itt_to_ctask" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "ALP-0.1");
