#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd66fc053, "scsi_host_busy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xaf3f3fa2, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x31b18b81, "scsi_print_command" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc57927ce, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xfaff2829, "sas_rphy_add" },
	{ 0x9cf9d19a, "param_set_int" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x140b2605, "sas_port_delete_phy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xdd2ac749, "scmd_printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb1f494d0, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x77ca4fad, "sas_port_add_phy" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x3f174de3, "sas_disable_tlr" },
	{ 0x9a8deded, "scsi_done" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0x39f0b852, "sas_phy_add" },
	{ 0xb8ffe2f2, "pci_stop_and_remove_bus_device_locked" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb4f8b10d, "sas_is_tlr_enabled" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xee2e8e26, "pci_irq_get_affinity" },
	{ 0x1f074752, "blk_queue_max_hw_sectors" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x97c67bce, "param_get_int" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0xe8ee9db8, "sas_release_transport" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xab16a172, "scsi_change_queue_depth" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd26c7b7e, "scsi_remove_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0xd0b439d5, "scsi_dma_map" },
	{ 0x8a09f478, "param_ops_ullong" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc2e587d1, "reset_devices" },
	{ 0x14abe1c4, "sas_enable_tlr" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b083576, "pci_cfg_access_unlock" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4951a7b, "pci_request_selected_regions" },
	{ 0x2f9b01bb, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf4cf78c1, "pci_enable_device_mem" },
	{ 0xdc54de44, "bsg_job_done" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x78cfe86d, "scsi_build_sense" },
	{ 0x374b8959, "kill_fasync" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0xc1877beb, "sas_port_alloc_num" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65f3df9, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2d91a4f0, "scsi_internal_device_unblock_nowait" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xbe16774e, "__scsi_iterate_devices" },
	{ 0x385e7cfe, "sas_remove_host" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x95fd3d00, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x99c7a175, "sas_phy_alloc" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x24e562c1, "scsi_device_set_state" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11f01d8c, "blk_mq_pci_map_queues" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2662269, "device_reprobe" },
	{ 0xf1f7cda4, "starget_for_each_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x5db2d610, "blk_queue_flag_set" },
	{ 0xcbb4d713, "scsi_add_device" },
	{ 0x7b9476b3, "pci_disable_link_state" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xa233d29b, "sas_phy_free" },
	{ 0xe5afc9a4, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc87af680, "attribute_container_find_class_device" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x4f791397, "_dev_err" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x487af486, "raid_class_attach" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x1acf97ff, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x4ff355d7, "pci_device_is_present" },
	{ 0x47da9878, "sdev_prefix_printk" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x1abe4157, "fasync_helper" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc924cd47, "sas_end_device_alloc" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x72c78bc8, "sas_read_port_mode_page" },
	{ 0x7ca482b7, "sas_expander_alloc" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd2d41689, "pci_alloc_irq_vectors_affinity" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x88398556, "pci_set_master" },
	{ 0x6477ec8d, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x68d1cb5e, "raid_class_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72020aea, "scsi_internal_device_block_nowait" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x28cdb9a6, "blk_mq_unique_tag" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_transport_sas,raid_class");

MODULE_ALIAS("pci:v00001000d00000070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000072sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000074sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000076sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000077sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000064sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000065sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000082sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000083sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000084sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000085sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000086sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000087sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d0000006Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000002B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000002B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d0000007Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000096sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000097sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000094sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000095sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000B2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd000000E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E7sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EA52C4C8CEF723814A65B2C");

MODULE_INFO(suserelease, "ALP-0.1");
