#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qlt_unreg_sess, 0x2e1e330e, "");
SYMBOL_CRC(qlt_stop_phase1, 0xc7683c94, "");
SYMBOL_CRC(qlt_stop_phase2, 0x2a8e1fcc, "");
SYMBOL_CRC(qlt_free_mcmd, 0x8b2fdc21, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x9b6f083a, "");
SYMBOL_CRC(qlt_xmit_response, 0xd950521e, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x23a5425f, "");
SYMBOL_CRC(qlt_abort_cmd, 0x1034e480, "");
SYMBOL_CRC(qlt_free_cmd, 0x35167fa2, "");
SYMBOL_CRC(qlt_lport_register, 0xa5b217e7, "");
SYMBOL_CRC(qlt_lport_deregister, 0x21855b01, "");
SYMBOL_CRC(qlt_enable_vha, 0x749bf3a2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x4850ff4e, "blk_queue_update_dma_alignment" },
	{ 0xfc015896, "fc_vport_create" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6a3d0f34, "fc_remote_port_rolechg" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb375927f, "seq_putc" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc73eae3, "fc_vport_terminate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xccd04298, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3413351d, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2d41689, "pci_alloc_irq_vectors_affinity" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x88398556, "pci_set_master" },
	{ 0x9935a049, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa427dfa4, "dma_get_required_mask" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x28cdb9a6, "blk_mq_unique_tag" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xb01c3119, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x968a6bb8, "fc_host_fpin_rcv" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xb8c8fb6a, "btree_destroy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdd2ac749, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa5cc73f2, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x413e35d8, "__register_chrdev" },
	{ 0x4de52ef9, "mempool_destroy" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x77981914, "fc_eh_should_retry_cmd" },
	{ 0x667af8fc, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x74e18730, "scsi_is_fc_rport" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x9a8deded, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe8f16598, "btree_get_prev" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0xed4ae77f, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x52a50570, "pci_disable_rom" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xee2e8e26, "pci_irq_get_affinity" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xc0d09236, "pci_write_config_word" },
	{ 0xdadd7eea, "sysfs_remove_bin_file" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x73e3a77f, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xab16a172, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd952de37, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8a09f478, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0x4b56e8a4, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf2f5192b, "fc_attach_transport" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0xb4951a7b, "pci_request_selected_regions" },
	{ 0x2f9b01bb, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xf4cf78c1, "pci_enable_device_mem" },
	{ 0xdc54de44, "bsg_job_done" },
	{ 0xea6a6213, "btree_insert" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x2a86db62, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x78cfe86d, "scsi_build_sense" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x21e5461, "fc_remove_host" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x30315466, "set_user_nice" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x2fed913f, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65f3df9, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xc6979b34, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92aa08f1, "fc_eh_timed_out" },
	{ 0x88adb634, "__wake_up" },
	{ 0x2334bb01, "btree_remove" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xdd98e22a, "pci_try_set_mwi" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xd1cd0215, "get_device" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x1e8ae27f, "mempool_free" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x4a53562c, "trace_array_put" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x11f01d8c, "blk_mq_pci_map_queues" },
	{ 0xa9edd596, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa30cb4b, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa973758b, "fc_remote_port_delete" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x68246fc9, "scsi_host_get" },
	{ 0xa00fb015, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x1f5f32ca, "fc_host_post_event" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe5afc9a4, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x60ee3575, "fc_release_transport" },
	{ 0x86271cf0, "pci_set_mwi" },
	{ 0xa608686d, "btree_lookup" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0xa997690d, "btree_init" },
	{ 0x354c9537, "kobject_uevent_env" },
	{ 0xc404286e, "pci_clear_master" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9A11463B9ABF310E641E382");

MODULE_INFO(suserelease, "ALP-0.1");
