#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_bus_type, 0x59220e26, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x1ab94f1c, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x006df77d, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x7acbd68c, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x300df60b, "");
SYMBOL_CRC(sdw_show_ping_status, 0xd242ccbd, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xff1cdc64, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xa15d9d3e, "");
SYMBOL_CRC(sdw_write_no_pm, 0xaad924bc, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xe271ee63, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x4948004a, "");
SYMBOL_CRC(sdw_read_no_pm, 0x6f4b4a43, "");
SYMBOL_CRC(sdw_update_no_pm, 0x725c8c58, "");
SYMBOL_CRC(sdw_update, 0x1a06998e, "");
SYMBOL_CRC(sdw_nread, 0x4a13cdbe, "");
SYMBOL_CRC(sdw_nwrite, 0xc3aaee9d, "");
SYMBOL_CRC(sdw_read, 0xc7d001b1, "");
SYMBOL_CRC(sdw_write, 0x8c870b0b, "");
SYMBOL_CRC(sdw_compare_devid, 0x466a2b22, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x3209a6a0, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xff875960, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x1d6fd148, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xdc552abf, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x2e3be51c, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x81334121, "");
SYMBOL_CRC(sdw_slave_add, 0x7c054edc, "");
SYMBOL_CRC(sdw_master_read_prop, 0x35a1be3f, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x300af6d2, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x8a156323, "");
SYMBOL_CRC(sdw_enable_stream, 0x250bd32d, "");
SYMBOL_CRC(sdw_disable_stream, 0xdfde2b3a, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x401c7ea1, "");
SYMBOL_CRC(sdw_alloc_stream, 0x84d21766, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x95db52ba, "");
SYMBOL_CRC(sdw_stream_add_master, 0x73a0cafa, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x46a24b1d, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x3cebb173, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x789a5e76, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d0c9e3e, "fwnode_property_present" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xd21c15c5, "device_get_named_child_node" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xad675660, "acpi_dev_for_each_child" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x882168e, "driver_register" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xf343cb89, "device_property_present" },
	{ 0x3eb96457, "devm_device_add_groups" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x83313941, "device_unregister" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xca100241, "seq_lseek" },
	{ 0x848f2996, "dev_pm_domain_attach" },
	{ 0x9d01d9ef, "devm_device_add_group" },
	{ 0x97ea5c20, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c049ba8, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0xa2ae1a25, "fwnode_property_read_u32_array" },
	{ 0x309fb83b, "dev_pm_domain_detach" },
	{ 0xe4540fcd, "pm_generic_runtime_suspend" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x983c1964, "ida_free" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xffeca003, "device_register" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2EDB406E3F163C38E4710D6");

MODULE_INFO(suserelease, "ALP-0.1");
