#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_assign_device_set, 0xcb25d86f, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xca880c72, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x8630a130, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x0660ee82, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xaab89b1a, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x27082136, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xb9529f49, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xb8a9f768, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x56d978e5, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xaca3b4cf, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x4b3630c7, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xe60a3dcf, "");
SYMBOL_CRC(vfio_unpin_pages, 0xfc24f94e, "");
SYMBOL_CRC(vfio_dma_rw, 0x507e6437, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x6259957d, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x67722a6e, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x935d2ef4, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xd5f9bb08, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0xf539d66b, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x36b39658, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x613074a7, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x25ee20e6, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x282701ef, "cdev_device_del" },
	{ 0xd9e3af80, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x13a7c851, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x52074537, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x57acbb83, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9f7a4f3, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc40a13ae, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6059e10c, "device_add" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xca08818d, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x983c1964, "ida_free" },
	{ 0x2a795e6d, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe4adc6cb, "__xa_cmpxchg" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0xf6206287, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x417301f2, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x52ce608c, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5e075e9f, "eventfd_ctx_fileget" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x3d705b34, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe5ca2456, "anon_inode_getfile" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1BDF4277672F68BD6E5FD91");

MODULE_INFO(suserelease, "ALP-0.1");
