#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1c688b7, "vhost_poll_init" },
	{ 0xc478577e, "vhost_vq_init_access" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe5747fc, "vhost_poll_stop" },
	{ 0xe6e0a5fe, "tun_get_tx_ring" },
	{ 0x1000e51, "schedule" },
	{ 0xef47bfb2, "vhost_exceeds_weight" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3347b435, "vhost_poll_queue" },
	{ 0xb36f6423, "tun_get_socket" },
	{ 0x15b0188a, "vhost_discard_vq_desc" },
	{ 0xa034d40f, "vhost_add_used_and_signal" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa572006f, "fput" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd2b3e45, "vhost_dev_reset_owner_prepare" },
	{ 0xa0532724, "vhost_add_used_and_signal_n" },
	{ 0x41f6869f, "vhost_dev_set_owner" },
	{ 0xf104b7dc, "vhost_chr_write_iter" },
	{ 0x55b30e9f, "noop_llseek" },
	{ 0x2cc3d1ca, "vhost_get_vq_desc" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x8c8570dc, "vhost_chr_read_iter" },
	{ 0x93685174, "vhost_log_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x46c3e969, "vhost_vq_has_work" },
	{ 0xf62e707e, "vhost_dev_ioctl" },
	{ 0xd0d2a74, "misc_register" },
	{ 0xbaab6c53, "vhost_disable_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd5439b70, "vhost_dev_has_owner" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x3ca94e42, "vhost_clear_msg" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaba3db4, "vhost_set_backend_features" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc22e15ac, "vhost_enable_notify" },
	{ 0xf1d5a33a, "copy_page_from_iter" },
	{ 0x8238da80, "__page_frag_cache_drain" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe1f9ea61, "vhost_log_access_ok" },
	{ 0xc31abb4c, "vhost_dev_cleanup" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0xc6d1190e, "vhost_chr_poll" },
	{ 0x53813557, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x668365d3, "vhost_poll_start" },
	{ 0x2305e037, "vq_meta_prefetch" },
	{ 0x7a2536de, "vhost_dev_check_owner" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc19e5bf4, "sockfd_lookup" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x5e554a7d, "vhost_vq_avail_empty" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa8e89395, "vhost_init_device_iotlb" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xf7d79ace, "vhost_vring_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5d711017, "tap_get_ptr_ring" },
	{ 0xaa716cea, "vhost_dev_flush" },
	{ 0x4099f919, "tun_ptr_free" },
	{ 0x264550a4, "vhost_vq_access_ok" },
	{ 0x939db2a7, "vhost_dev_stop" },
	{ 0x91d60580, "finish_wait" },
	{ 0x2c49bda4, "tap_get_socket" },
	{ 0x584fb50c, "iov_iter_advance" },
	{ 0x53d90e00, "fget" },
	{ 0x378fb1c5, "vhost_dev_init" },
	{ 0xee9c6868, "vhost_dev_reset_owner" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x4745ccc3, "iov_iter_init" },
	{ 0x88adb634, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "vhost,tun,tap");


MODULE_INFO(srcversion, "7880D734E6EFC6BEA335E30");

MODULE_INFO(suserelease, "ALP-0.1");
