#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_v4_connect, 0xed74fc4b, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x647942f6, "");
SYMBOL_CRC(dccp_v4_send_check, 0x11624396, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xd4d37b4e, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xd14eae19, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xe0d336b6, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x71fae0f3, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x9dffed00, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fe06a41, "dccp_rcv_state_process" },
	{ 0x8aa07c6e, "dccp_reqsk_send_ack" },
	{ 0xb10e0398, "inet_lookup_reuseport" },
	{ 0x1b5e332, "__inet_lookup_listener" },
	{ 0x7f0ba74f, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xd95d9bec, "sock_common_getsockopt" },
	{ 0xd0d8cae2, "inet_bind" },
	{ 0xd65b9c1a, "__inet_inherit_port" },
	{ 0x549a9429, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf8316e3, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x17ec0fc4, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x33eaec17, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3bda7d35, "inet_csk_reqsk_queue_hash_add" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x71980780, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x33e1ed6e, "inet_getname" },
	{ 0x51bf6e09, "inet_stream_connect" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x875e6440, "inet_reqsk_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x173b8eb6, "inet_ehashfn" },
	{ 0xbe833f25, "inet_twsk_purge" },
	{ 0x6a1c500e, "dccp_done" },
	{ 0x5b1f8678, "inet_release" },
	{ 0xda8ec0cf, "__sk_dst_check" },
	{ 0x8fdfe0ac, "dccp_disconnect" },
	{ 0x966ec5eb, "ip_route_output_key_hash" },
	{ 0xdc02365d, "proto_register" },
	{ 0x69fc68b6, "inet_hash" },
	{ 0xe4c559bd, "__sk_receive_skb" },
	{ 0x7ab2ce83, "dccp_poll" },
	{ 0xaf59638, "inet_ctl_sock_create" },
	{ 0x5a014630, "dccp_death_row" },
	{ 0x61851d96, "inet_csk_get_port" },
	{ 0x9917dcdf, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x340409ca, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xe7f64a00, "inet_accept" },
	{ 0x7b07b0fa, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfa2e996c, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xc687a61d, "inet_add_protocol" },
	{ 0x6f35acd9, "inet_shutdown" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4df9a7f, "dccp_close" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe6fc9164, "dccp_reqsk_init" },
	{ 0x71a2bf2, "inet_hash_connect" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x8e40779e, "inet_csk_route_child_sock" },
	{ 0x516d25b6, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xea069cca, "inet_csk_update_pmtu" },
	{ 0xfd73b6a6, "dccp_getsockopt" },
	{ 0x6b779a9d, "dccp_parse_options" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0xb4ba5255, "skb_checksum" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x745a6fa7, "dccp_child_process" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xc1f47f32, "sock_common_recvmsg" },
	{ 0x5b910798, "dccp_setsockopt" },
	{ 0x87b56603, "dccp_ioctl" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe7f60bec, "inet_sk_rebuild_header" },
	{ 0x12e9c818, "inet_del_protocol" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0x59b06793, "dccp_recvmsg" },
	{ 0x7c606613, "inet_sendmsg" },
	{ 0xbaad83ae, "dccp_check_req" },
	{ 0x15f918f0, "dccp_create_openreq_child" },
	{ 0x8a04755e, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xc235f85, "sock_pfree" },
	{ 0x771629a, "dccp_rcv_established" },
	{ 0x35b14a61, "dccp_send_sync" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x488ffe9c, "sock_release" },
	{ 0x5c488418, "dccp_make_response" },
	{ 0xfc57a7a4, "dccp_destroy_sock" },
	{ 0x302836ca, "dccp_ctl_make_reset" },
	{ 0xbb83fd64, "sock_gettstamp" },
	{ 0xedf723a3, "sk_setup_caps" },
	{ 0x4ea3edd, "ip_build_and_send_pkt" },
	{ 0x20e4cc73, "dccp_sendmsg" },
	{ 0x639500a8, "ip_setsockopt" },
	{ 0xb82379be, "dccp_hashinfo" },
	{ 0xb47a4d6b, "inet_twsk_put" },
	{ 0xf761fe0c, "inet_unhash" },
	{ 0x886cf080, "ip_getsockopt" },
	{ 0x1d606c1c, "dccp_set_state" },
	{ 0xf3e5edde, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x78fb57c5, "inet_csk_reqsk_queue_drop" },
	{ 0x9850200f, "__inet_lookup_established" },
	{ 0xd08148a6, "inet_bhash2_reset_saddr" },
	{ 0x604acfc2, "inet_csk_addr2sockaddr" },
	{ 0xb399ac71, "inet_unregister_protosw" },
	{ 0x801c18f4, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x30b91725, "dccp_shutdown" },
	{ 0x9642a394, "inet_bhash2_update_saddr" },
	{ 0x422697e0, "dccp_connect" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "444BF8A8A995A530C7D8092");

MODULE_INFO(suserelease, "ALP-0.1");
