#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x372c2054, "l2tp_tunnel_register" },
	{ 0x3a455309, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x81e6ec5a, "proc_create_net_data" },
	{ 0x262df582, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x10faa2b5, "ppp_input" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x663e75bb, "l2tp_session_get_nth" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0xa954e45b, "release_sock" },
	{ 0x604bb3b2, "l2tp_tunnel_delete" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x392bc551, "l2tp_session_create" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xea02ab68, "l2tp_session_inc_refcount" },
	{ 0x3794be7f, "l2tp_session_register" },
	{ 0xfa2e996c, "ip6_mtu" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x6858eb4b, "ppp_register_net_channel" },
	{ 0x9fd55556, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xacab0ddf, "ppp_dev_name" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x564b0e00, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xded7afef, "sock_wmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x17496528, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x960dcb87, "pppox_unbind_sock" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x1b36cd96, "sock_no_bind" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0x22627887, "pppox_ioctl" },
	{ 0xa81fd148, "pppox_compat_ioctl" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0xdc02365d, "proto_register" },
	{ 0x16d12100, "register_pppox_proto" },
	{ 0xc20e3d12, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f20a62e, "l2tp_tunnel_get_session" },
	{ 0xcf985788, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x41f0e160, "l2tp_udp_encap_recv" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x5eb8ebbf, "skb_recv_datagram" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x5a65cf53, "l2tp_tunnel_get" },
	{ 0x77da3a3f, "l2tp_tunnel_create" },
	{ 0x47edeac7, "l2tp_tunnel_inc_refcount" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "C27C977E6B2D9E655BD7531");

MODULE_INFO(suserelease, "ALP-0.1");
