#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qrtr_endpoint_post, 0xf3734639, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x1daf43a2, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x84388cc8, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeae06e54, "sk_error_report" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x5ac09ee4, "radix_tree_iter_delete" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x1e89b4f, "sock_register" },
	{ 0x61e40f14, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xdc02365d, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd145d29a, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0xd6a6ede2, "__SCK__tp_func_sk_data_ready" },
	{ 0xb6d3c0e5, "kernel_getsockname" },
	{ 0x1155aefe, "do_wait_intr_irq" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x39e59554, "xa_erase" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xf5becf39, "sock_create_kern" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x5eb8ebbf, "skb_recv_datagram" },
	{ 0x86db9e6c, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7902a47f, "xa_store" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x488ffe9c, "sock_release" },
	{ 0xbb83fd64, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0xd05eb87e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x63a78f59, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x57cb6120, "sock_queue_rcv_skb_reason" },
	{ 0x4170672b, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x7f567295, "radix_tree_insert" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x70421f21, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe671ae7b, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x109c0b8, "__tracepoint_sk_data_ready" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd3d04f63, "kernel_recvmsg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C026F46A340A1D8F9760DD");

MODULE_INFO(suserelease, "ALP-0.1");
