#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x08f18db4, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x4e348e8f, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xcba6ea5b, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xc60a7a4d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x2718ad35, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x8977dd7f, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x1280f075, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xcf33a23e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x62ec153b, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xe97bc070, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x3585f90a, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x8bb2281f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xc886792b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xaa3bb255, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x21785546, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xcecc8aa3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x51b294d0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x442f3bac, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x9f632829, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x971e26ee, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x39405f98, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x8198a8de, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xa8ab2846, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xfd93b989, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xf5bfc232, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x5653a84c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x88733d26, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xab1d576d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x53da9ac5, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x4539bb26, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x552491fc, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x0b9df72e, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xc7bfde82, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x49421c40, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x2a9eadde, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x8d3d7dbd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x33142fc0, "vsock_deliver_tap" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeae06e54, "sk_error_report" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xff13e280, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x94bb9c49, "__skb_recv_datagram" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5095316d, "vsock_stream_has_data" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0x1e543f02, "bpf_trace_run9" },
	{ 0xfff4c8e9, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x54fbc09e, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x90bc1435, "bpf_trace_run10" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x78a15f34, "vsock_core_get_transport" },
	{ 0x578cd249, "__zerocopy_sg_from_iter" },
	{ 0xf154b5f8, "vsock_stream_has_space" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa5bce03, "msg_zerocopy_realloc" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x676d43d6, "vsock_create_connected" },
	{ 0x998322bf, "vsock_assign_transport" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf8e31aa2, "vsock_data_ready" },
	{ 0xd3978684, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd58cb510, "vsock_insert_connected" },
	{ 0xabe460aa, "skb_put" },
	{ 0x70421f21, "consume_skb" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x90109cda, "vsock_remove_sock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");

MODULE_INFO(suserelease, "ALP-0.1");
