#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hda_gen_spec_init, 0x1d1677aa, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x92087873, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x7d29bf74, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xf20b1d4a, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x247207d1, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xc498daef, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x5b9717f1, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x9ebc9638, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x9b1cda1d, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x60e3eeb2, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x0b6a327a, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x812aaa72, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x8dee5a30, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x456f619d, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x9da1d83e, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xb1e2971e, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x8777ab81, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x18883588, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xd226f148, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x5f535456, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xd34cb2a3, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x0f0b7ddc, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8bb3c0f, "snd_hda_enum_helper_info" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x2630a7ff, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x5a509aad, "snd_hdac_codec_read" },
	{ 0xb87f36f2, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x69219a63, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x8639bf60, "snd_hda_codec_get_pin_target" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x76941735, "snd_hdac_regmap_sync" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x858fbaca, "snd_hda_apply_verbs" },
	{ 0x430a2547, "snd_hda_codec_amp_update" },
	{ 0xe19afe97, "snd_hda_add_new_ctls" },
	{ 0xb5b33ab, "snd_hda_get_connections" },
	{ 0xf36a396d, "snd_hda_codec_amp_init_stereo" },
	{ 0xc5185843, "snd_hda_set_vmaster_tlv" },
	{ 0x4562bb71, "hda_get_autocfg_input_label" },
	{ 0x7ba6ce36, "query_amp_caps" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x36090fd9, "snd_hda_mixer_amp_volume_info" },
	{ 0xa34a9d88, "snd_hdac_regmap_read_raw" },
	{ 0x15b4d4da, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd0f158, "snd_hda_codec_setup_stream" },
	{ 0x8b213db6, "snd_hda_mixer_amp_switch_info" },
	{ 0x663a5b82, "hda_codec_driver_unregister" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xeddf6797, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6f59c1af, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x45ccf0de, "snd_hda_jack_tbl_get_mst" },
	{ 0x5b40af97, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2f34caf, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0x23c66306, "snd_hda_codec_pcm_new" },
	{ 0xddc890c4, "__snd_hda_codec_cleanup_stream" },
	{ 0xa40a844d, "snd_ctl_sync_vmaster" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xf66750ba, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cf79ce5, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dc5427b, "snd_hda_add_imux_item" },
	{ 0x594f0162, "snd_hda_correct_pin_ctl" },
	{ 0x8a2f195c, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8c376629, "snd_hda_create_dig_out_ctls" },
	{ 0xf889e0f6, "snd_hda_multi_out_dig_close" },
	{ 0x7124fa04, "snd_hda_get_conn_index" },
	{ 0x23fcea3c, "snd_hda_multi_out_analog_open" },
	{ 0x366b6e4f, "snd_hda_get_bool_hint" },
	{ 0x2abfb7dc, "snd_hda_create_spdif_share_sw" },
	{ 0xd63d5a39, "snd_hda_find_mixer_ctl" },
	{ 0x242be6cb, "snd_hda_get_int_hint" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb794af38, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xa2a9e8ab, "snd_hda_parse_pin_defcfg" },
	{ 0x90d0b78c, "snd_hda_codec_amp_init" },
	{ 0x6b7a63f2, "snd_hda_create_spdif_in_ctls" },
	{ 0xddbf4aea, "is_jack_detectable" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe4b74f1e, "snd_hda_multi_out_analog_cleanup" },
	{ 0xb313a52e, "snd_hda_multi_out_analog_prepare" },
	{ 0x9ea81777, "snd_ctl_boolean_stereo_info" },
	{ 0x82f117ab, "snd_hda_get_conn_list" },
	{ 0x7da3efab, "snd_hda_mixer_amp_switch_get" },
	{ 0x269721c5, "snd_hda_codec_set_pin_target" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0xbbb4184d, "snd_hda_attach_beep_device" },
	{ 0x9f711f, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd212394f, "snd_hdac_regmap_write_raw" },
	{ 0xc08bddc4, "snd_hda_mixer_amp_volume_get" },
	{ 0x4082dd28, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xe1957bf2, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x557049d, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeaea6079, "snd_hda_jack_unsol_event" },
	{ 0x66734feb, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x2b768412, "snd_hda_mixer_amp_tlv" },
	{ 0xa30c7079, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xefb9086a, "__snd_hda_add_vmaster" },
	{ 0x7bae7e52, "snd_hda_codec_amp_stereo" },
	{ 0x9a51c470, "snd_hda_sync_vmaster_hook" },
	{ 0xf38c2dcf, "snd_hda_apply_fixup" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "95B4D156EB2EA1321DDBC69");

MODULE_INFO(suserelease, "ALP-0.1");
