#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_system_suspend, 0x2d26ef36, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xacf6ec70, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x3e13d5f6, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x2225e297, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x7f071a02, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xbfd2da77, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x8578ef51, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x8e6186f4, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xc9ac5b2f, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x88b261d4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x57d71c23, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0x26b47547, "devm_snd_soc_register_component" },
	{ 0x57989c97, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xaad924bc, "sdw_write_no_pm" },
	{ 0x33192a07, "devm_free_irq" },
	{ 0x7a073097, "pm_runtime_enable" },
	{ 0xc50bc05f, "regulator_bulk_disable" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xba3132e, "snd_soc_info_volsw" },
	{ 0xa64c4f6d, "cs35l56_init_cs_dsp" },
	{ 0x6095a934, "wm_adsp_power_down" },
	{ 0x3dc0b56a, "regcache_drop_region" },
	{ 0x4f791397, "_dev_err" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0xea3d1ebe, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x370b1ede, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd180ceb8, "cs35l56_runtime_suspend_common" },
	{ 0x6f4b4a43, "sdw_read_no_pm" },
	{ 0x96c64966, "cs35l56_mbox_send" },
	{ 0x302173d0, "cs35l56_hw_init" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xc8f51ea1, "wm_adsp2_component_probe" },
	{ 0x845f8328, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce6a4793, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xab3770e9, "cs35l56_system_reset" },
	{ 0x575ee0fc, "snd_soc_info_enum_double" },
	{ 0x426ba33c, "regulator_bulk_enable" },
	{ 0x462a489a, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb9dddaba, "wm_adsp2_component_remove" },
	{ 0x2f76c3f, "cs35l56_wait_for_firmware_boot" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x29efff41, "snd_soc_get_volsw" },
	{ 0xff0180b, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x30565a11, "cs35l56_is_fw_reload_needed" },
	{ 0xd2bec633, "regmap_read" },
	{ 0x3b99344a, "snd_soc_put_volsw" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb6581e76, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82de7b6, "regmap_bulk_read" },
	{ 0x789a5e76, "sdw_stream_remove_slave" },
	{ 0x94d58d7e, "cs35l56_runtime_resume_common" },
	{ 0x9f7d8970, "dapm_regulator_event" },
	{ 0x7dd7cdcd, "cs35l56_get_speaker_id" },
	{ 0x482d8969, "regmap_update_bits_base" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x59142c99, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x53345c9c, "snd_soc_dapm_get_enum_double" },
	{ 0xbab879a0, "__pm_runtime_use_autosuspend" },
	{ 0x9f440412, "wm_halo_init" },
	{ 0xf944eed, "__pm_runtime_disable" },
	{ 0xc4f683c1, "cs35l56_firmware_shutdown" },
	{ 0x3cebb173, "sdw_stream_add_slave" },
	{ 0x7d594fe2, "pm_runtime_force_suspend" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x19822ae9, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x17d5e5b6, "snd_soc_dapm_put_enum_double" },
	{ 0xf2fa5cc4, "regcache_cache_only" },
	{ 0x8f2d6c0e, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fe907e0, "snd_soc_card_get_kcontrol" },
	{ 0x25a65fbc, "regmap_write" },
	{ 0xd732ef80, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21a40ac5, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xed01c46e, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x47f4bd52, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "0014A8F1CE20353DF3C89C2");

MODULE_INFO(suserelease, "ALP-0.1");
