#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x434b48e1, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xe1daa200, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x2db668c1, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x30bd7979, "");
SYMBOL_CRC(acp_dsp_block_read, 0xef33783e, "");
SYMBOL_CRC(acp_dsp_block_write, 0xa6253b78, "");
SYMBOL_CRC(acp_get_bar_index, 0x9ecd1340, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xff81c5ac, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x457076e8, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x0514c88b, "");
SYMBOL_CRC(acp_mailbox_write, 0x5ab4acbb, "");
SYMBOL_CRC(acp_mailbox_read, 0xf9fe5b8f, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xcd52a3a3, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xc2bdb31c, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x925e2e60, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x167a3580, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x4f556bd2, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x22e876d4, "");
SYMBOL_CRC(acp_pcm_open, 0x63cc54ef, "");
SYMBOL_CRC(acp_pcm_close, 0x5aeda637, "");
SYMBOL_CRC(acp_pcm_pointer, 0x3e47d44c, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xc0615419, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x9ad98e23, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x8fb58090, "");
SYMBOL_CRC(acp_sof_trace_release, 0xefdf709a, "");
SYMBOL_CRC(acp_sof_trace_init, 0xbf9ffd2c, "");
SYMBOL_CRC(sof_acp_common_ops, 0x30ac7c1c, "");
SYMBOL_CRC(acp_probes_register, 0x0d2ee769, "");
SYMBOL_CRC(acp_probes_unregister, 0x25d864d9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdfeccab, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x88adb634, "__wake_up" },
	{ 0x9c876e41, "snd_sgbuf_get_addr" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4f791397, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7ed9b17a, "platform_device_unregister" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x2ae06b6, "sof_client_dev_register" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x13722bc6, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x50f5d56a, "snd_sof_dsp_update_bits" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x7aeda4a, "sof_io_read" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x1979ee3a, "snd_sof_ipc_reply" },
	{ 0xbea9c6db, "platform_device_register_full" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x210a606, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8dda231f, "snd_sof_dsp_panic" },
	{ 0xccc13f56, "sof_client_dev_unregister" },
	{ 0x2610d72d, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x9c112526, "sof_io_write" },
	{ 0xcc1d0807, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7e3faae0, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x863e634d, "pci_dev_put" },
	{ 0xc74d9aae, "pci_get_device" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x62f0b68c, "devm_ioremap" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "26C36707EEE5F4742AD2B0C");

MODULE_INFO(suserelease, "ALP-0.1");
