#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_fault, 0xf05ad1d6, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xa159b7bd, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x2fa8d0f5, "");
SYMBOL_CRC(drm_sched_stop, 0x36606e21, "");
SYMBOL_CRC(drm_sched_start, 0x11173673, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x23c99617, "");
SYMBOL_CRC(drm_sched_job_init, 0xb34b01da, "");
SYMBOL_CRC(drm_sched_job_arm, 0x7ea96577, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0xf5ce7af5, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x254d1289, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xd66a4c8e, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x3d4e0854, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x16ab6f5f, "");
SYMBOL_CRC(drm_sched_pick_best, 0xc885cb54, "");
SYMBOL_CRC(drm_sched_init, 0x91a53942, "");
SYMBOL_CRC(drm_sched_fini, 0xdada6876, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x12c5abec, "");
SYMBOL_CRC(to_drm_sched_fence, 0xf52e35d5, "");
SYMBOL_CRC(drm_sched_entity_init, 0x218b9336, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x4f4e4978, "");
SYMBOL_CRC(drm_sched_entity_error, 0x145b15b4, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x33499547, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x2f8bdc45, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x08a0c1da, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x32bb1295, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xefa133e8, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x88adb634, "__wake_up" },
	{ 0x8f56b5eb, "dma_fence_add_callback" },
	{ 0x6bd13ec8, "dma_fence_set_deadline" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5d9d139, "kthread_park" },
	{ 0x9c25d0d6, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xe116027c, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5ff658a2, "dma_resv_iter_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd95b50ce, "dma_fence_remove_callback" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xb90ada27, "drm_dev_printk" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0xb049e2a, "dma_fence_signal" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xb4c597b7, "dma_fence_init" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x39e59554, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0xbd3a062d, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7902a47f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd4f1b21c, "dma_resv_iter_first" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfb769f81, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E43EAD38CCC094B55262152");

MODULE_INFO(suserelease, "ALP-0.1");
