#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x411b8736, "hid_open_report" },
	{ 0xa6a51e68, "hid_hw_start" },
	{ 0xaef7eef0, "hid_is_usb" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x9457c2ac, "hid_hw_stop" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc95ea2e9, "hid_unregister_driver" },
	{ 0xd441004d, "ida_destroy" },
	{ 0xf9c842e9, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb10fe7cb, "input_mt_report_slot_state" },
	{ 0xc5ecfb7a, "input_mt_sync_frame" },
	{ 0x16a290c9, "hid_hw_close" },
	{ 0x983c1964, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xed2a2bf4, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0xd5dbeb06, "devm_led_classdev_register_ext" },
	{ 0x33547744, "input_set_capability" },
	{ 0x514efa5a, "input_ff_create_memless" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0xba9b4b2d, "devm_power_supply_register" },
	{ 0x77dd2753, "power_supply_powers" },
	{ 0x152fabf1, "hid_hw_open" },
	{ 0x8f9cc970, "hid_validate_values" },
	{ 0x39286451, "input_mt_init_slots" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x878cdce1, "__hid_register_driver" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xbd357d30, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x19d99f2f, "hid_hw_output_report" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4d664225, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x10b4f146, "input_register_device" },
	{ 0xefbea897, "input_set_abs_params" },
	{ 0x5e61f515, "input_alloc_absinfo" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5bd34205, "power_supply_get_drvdata" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "6C32BD914CB6ECB444602FF");

MODULE_INFO(suserelease, "ALP-0.1");
