#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xc64065ec, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x387f5695, "");
SYMBOL_CRC(ib_cm_listen, 0xd606fb14, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xa9d4061b, "");
SYMBOL_CRC(ib_send_cm_req, 0x762288c4, "");
SYMBOL_CRC(ib_send_cm_rep, 0x0a010a3e, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x0e2e2825, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x24fdf1dc, "");
SYMBOL_CRC(ib_send_cm_drep, 0x53904e97, "");
SYMBOL_CRC(ib_send_cm_rej, 0xfc698e6b, "");
SYMBOL_CRC(ib_send_cm_mra, 0xcdc409d7, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x5202e556, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xa2c8fae9, "");
SYMBOL_CRC(ib_cm_notify, 0xda3eb824, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x0e462b97, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4814f6b2, "ib_register_client" },
	{ 0x809f47de, "ib_unregister_mad_agent" },
	{ 0x5c5e0e73, "ib_post_send_mad" },
	{ 0x957baeca, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0xee25a812, "rdma_destroy_ah_attr" },
	{ 0x5f8e3b70, "ib_set_client_data" },
	{ 0x32b2eb2b, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x1d9f09e0, "rdma_put_gid_attr" },
	{ 0xfa83be5c, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6de8f1ea, "rdma_destroy_ah_user" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xd496f610, "ib_free_send_mad" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xe68925f, "ib_port_unregister_client_groups" },
	{ 0x39e59554, "xa_erase" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x977656c3, "rdma_move_ah_attr" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x68bbda5e, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7902a47f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x2cb56853, "ib_free_recv_mad" },
	{ 0x51884a48, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xeecdd4d, "ib_modify_mad" },
	{ 0x7cbbb306, "ib_create_ah_from_wc" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xd0191d3, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdb0c09b8, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x1261b6b1, "rdma_query_gid" },
	{ 0x34114591, "ib_port_register_client_groups" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x608eb0ae, "ib_modify_port" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x44e68de3, "rdma_create_ah" },
	{ 0x767d4413, "ib_init_ah_attr_from_wc" },
	{ 0xd70eea6a, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "69CE627D45041345621FB15");

MODULE_INFO(suserelease, "ALP-0.1");
