#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36faaeb0, "md_bitmap_unplug_async" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb03190b7, "bio_associate_blkg" },
	{ 0x70c4b3da, "md_bitmap_unplug" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x84cb6b74, "blk_finish_plug" },
	{ 0x4fa3e6c0, "md_done_sync" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x601c618, "mempool_init" },
	{ 0xb5181393, "bioset_init" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x53086337, "md_register_thread" },
	{ 0x398e691e, "md_bitmap_resize" },
	{ 0xe9fdfe79, "md_set_array_sectors" },
	{ 0x728cf06b, "blk_queue_max_write_zeroes_sectors" },
	{ 0xee1304df, "blk_queue_io_min" },
	{ 0x6e394c9b, "blk_queue_io_opt" },
	{ 0xa3b31bd6, "md_unregister_thread" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xdc9cc4af, "md_write_start" },
	{ 0xfb578fc5, "memset" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0xe1104192, "md_bitmap_startwrite" },
	{ 0xf248c6ae, "md_flush_request" },
	{ 0x5721ae3f, "md_submit_discard_bio" },
	{ 0x69acdf38, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0xd6b4d835, "md_check_recovery" },
	{ 0x628a83e0, "rdev_clear_badblocks" },
	{ 0x3e257486, "bio_trim" },
	{ 0xdd6caa74, "submit_bio_wait" },
	{ 0x816d87e2, "bio_add_page" },
	{ 0x2b41caa5, "bio_copy_data" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x25481146, "md_bitmap_cond_end_sync" },
	{ 0xe95b0345, "md_bitmap_start_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x70bcd9a3, "md_bitmap_close_sync" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x3768f81e, "md_bitmap_end_sync" },
	{ 0x92b3f61c, "md_finish_reshape" },
	{ 0x961208c5, "__SCK__tp_func_block_bio_remap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68c230ff, "md_cluster_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcf960189, "register_md_personality" },
	{ 0x7d5ec8ef, "md_bitmap_endwrite" },
	{ 0xf13bed8c, "md_write_end" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0x1e8ae27f, "mempool_free" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4b9638a0, "md_wakeup_thread" },
	{ 0x37a0cba, "kfree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x91d60580, "finish_wait" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa00fb015, "mempool_alloc" },
	{ 0x32f56e3f, "bio_reset" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8a6dcdd, "kernfs_notify" },
	{ 0x400d5a41, "md_integrity_register" },
	{ 0x47a00a03, "md_integrity_add_rdev" },
	{ 0xe4817dc1, "disk_stack_limits" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x5be9bf4d, "unregister_md_personality" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5723b4d9, "__blk_trace_note_message" },
	{ 0x6b95ae2f, "mempool_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7052127f, "bioset_exit" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x53813557, "__folio_put" },
	{ 0xa7adb799, "bio_uninit" },
	{ 0x9a303640, "badblocks_check" },
	{ 0x6935b68, "sync_page_io" },
	{ 0x870e8507, "rdev_set_badblocks" },
	{ 0x41e766c8, "md_error" },
	{ 0xdacc40b4, "bio_endio" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xad191e59, "bio_alloc_clone" },
	{ 0x9184526f, "__tracepoint_block_bio_remap" },
	{ 0x63b0ec6a, "submit_bio_noacct" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5911485, "md_account_bio" },
	{ 0xff7db68a, "bio_split" },
	{ 0xc2d42638, "bio_chain" },
	{ 0x92997ed8, "_printk" },
	{ 0x2907f04e, "md_wait_for_blocked_rdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb3641043, "bio_init" },
	{ 0x9dfe8681, "bio_kmalloc" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x47f8717d, "blk_start_plug" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "md-mod");


MODULE_INFO(srcversion, "73BF5491C2CBFA0E1B7BCF3");

MODULE_INFO(suserelease, "ALP-0.1");
