#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ivtv_ext_init, 0x5a7e43c7, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x6d53bce7, "");
SYMBOL_CRC(ivtv_api, 0xbed33e0f, "");
SYMBOL_CRC(ivtv_vapi, 0x4f99674d, "");
SYMBOL_CRC(ivtv_vapi_result, 0x49a8a307, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x37892189, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x773d32d0, "");
SYMBOL_CRC(ivtv_udma_setup, 0x8e28cb3d, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x7f91998c, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x9a0e4761, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xa11cda4e, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x189cc80e, "");
SYMBOL_CRC(ivtv_firmware_check, 0xa16098e3, "");
SYMBOL_CRC(ivtv_claim_stream, 0x77e1fe1e, "");
SYMBOL_CRC(ivtv_release_stream, 0xb7112dc4, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xd24352c9, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xd14929eb, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xfc072c5b, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbca5ca7b, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8a8dc12b, "v4l2_fh_is_singular" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0x9af644af, "v4l2_fh_init" },
	{ 0x7233fcf9, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x55dd88d9, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0x6c9abd9f, "v4l2_event_subscribe" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x88398556, "pci_set_master" },
	{ 0xcff41944, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xfce7378b, "param_ops_string" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x915988a6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9316001e, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xad7ab92f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x83d728cd, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc1e21604, "v4l2_ctrl_new_std" },
	{ 0x8886e530, "v4l2_ctrl_g_ctrl" },
	{ 0xa7ae17d8, "cx2341x_handler_init" },
	{ 0x3b16303c, "cx2341x_handler_set_50hz" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xd8ef2a96, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6937f76d, "v4l2_subdev_call_wrappers" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xab303689, "v4l2_event_queue" },
	{ 0x2e051930, "v4l2_i2c_new_subdev" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x95cb7d09, "video_device_release_empty" },
	{ 0x561fa0a2, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x47c4e060, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xfaf2fab4, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4493e9a8, "i2c_bit_add_bus" },
	{ 0x6da4045, "v4l2_fh_del" },
	{ 0xc5528d11, "v4l2_i2c_new_subdev_board" },
	{ 0x4707f037, "kthread_flush_worker" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc013aa9, "v4l2_fh_add" },
	{ 0x91d60580, "finish_wait" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x6e8a3fda, "unpin_user_pages" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xac71f9e1, "i2c_transfer_buffer_flags" },
	{ 0x30bc80e6, "v4l2_subdev_init" },
	{ 0x88adb634, "__wake_up" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xf0569fd7, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xc17971e2, "v4l2_ctrl_handler_log_status" },
	{ 0x680aa018, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0xc4cdd233, "i2c_new_scanned_device" },
	{ 0x472417a9, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xf00c57ae, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5417537b, "__free_pages" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x663ecb4c, "__v4l2_ctrl_s_ctrl" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "ALP-0.1");
