#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x58acfd4f, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x618d1397, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x1186bb27, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x2e29091c, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x153a2c1e, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x7ef6d494, "_gpl");
SYMBOL_CRC(is_fw_load, 0xe5d2f8f1, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xc3b68f53, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xf76ee469, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x99066f86, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xbaf42f47, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x2eca350b, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x69907e06, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x8ac16ba4, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xb5b98291, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x26c01d97, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x74022b2a, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xddced5a6, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x1139b39a, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x8db0d450, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x1aa87fbe, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x24eda0ab, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x76ee1098, "usb_clear_halt" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5fdb3120, "video_devdata" },
	{ 0x3806d5f5, "vb2_fop_release" },
	{ 0x472417a9, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0x4874bbdd, "media_device_register_entity" },
	{ 0x62728f1a, "media_device_cleanup" },
	{ 0xe1eebe25, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x4f791397, "_dev_err" },
	{ 0xdcecbea7, "i2c_unregister_device" },
	{ 0x88316e4a, "usb_free_coherent" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x6bac6b8c, "vb2_buffer_done" },
	{ 0x96d5c525, "vb2_plane_vaddr" },
	{ 0x3ec1c32e, "v4l2_ctrl_subscribe_event" },
	{ 0x4c6604c2, "usb_set_interface" },
	{ 0xba3942a8, "media_entity_pads_init" },
	{ 0x9fb6660b, "video_unregister_device" },
	{ 0x77675284, "i2c_new_client_device" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xad47478e, "vb2_ioctl_qbuf" },
	{ 0x31ed4036, "vb2_fop_mmap" },
	{ 0x662658dd, "v4l2_s_ctrl" },
	{ 0xe02fc706, "i2c_mux_alloc" },
	{ 0xa5b909aa, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x30bc818a, "vb2_fop_read" },
	{ 0xd5ab100c, "v4l2_device_register" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x915988a6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5457e9f1, "rc_allocate_device" },
	{ 0x4de0e743, "pv_ops" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0x2b08c6ce, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9316001e, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x45ac8be, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x95e8ee24, "vb2_ioctl_streamon" },
	{ 0x32b78dac, "v4l2_mc_create_media_graph" },
	{ 0x34d5d318, "vb2_fop_poll" },
	{ 0xa7ae17d8, "cx2341x_handler_init" },
	{ 0x3b16303c, "cx2341x_handler_set_50hz" },
	{ 0x7caefdc1, "__media_device_usb_init" },
	{ 0xb8219466, "v4l2_ctrl_handler_free" },
	{ 0xb8df899a, "i2c_transfer" },
	{ 0x94d398f8, "v4l2_device_unregister" },
	{ 0x9886f4e6, "usb_reset_endpoint" },
	{ 0xb67061f7, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x6937f76d, "v4l2_subdev_call_wrappers" },
	{ 0x784092d7, "v4l2_ctrl_log_status" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x2e051930, "v4l2_i2c_new_subdev" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x95cb7d09, "video_device_release_empty" },
	{ 0xadbe5d89, "i2c_mux_add_adapter" },
	{ 0xfa13451e, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd06f186e, "v4l2_event_unsubscribe" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b1bd50e, "vb2_ioctl_reqbufs" },
	{ 0x17f8333d, "vb2_queue_init" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xba2ae256, "v4l2_ctrl_poll" },
	{ 0xdf9981aa, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x893a4878, "media_device_unregister" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x7f8fbf59, "vb2_ioctl_streamoff" },
	{ 0xfc96b997, "v4l2_ctrl_radio_filter" },
	{ 0x3e155678, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x78a6d64d, "v4l2_ctrl_add_handler" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc975a81, "request_firmware" },
	{ 0xd048b6fc, "vb2_ops_wait_finish" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x9a52cbb, "v4l2_ctrl_handler_init_class" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x62fe70e2, "__media_device_register" },
	{ 0x6f84c7e7, "vb2_ioctl_querybuf" },
	{ 0xac71f9e1, "i2c_transfer_buffer_flags" },
	{ 0x88adb634, "__wake_up" },
	{ 0xad06b39f, "v4l2_fh_open" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0830658BA95E1A247C60F4D");

MODULE_INFO(suserelease, "ALP-0.1");
