#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_cypress_load_firmware, 0xacaa8933, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x763bc2fb, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x3996f3a6, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xf57d05b2, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x1e3e73a4, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xe0a77d40, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x62fe70e2, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb67e5f92, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1be99654, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x76ee1098, "usb_clear_halt" },
	{ 0xb3555094, "usb_bulk_msg" },
	{ 0x10b4f146, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x1b10d025, "i2c_del_adapter" },
	{ 0x62728f1a, "media_device_cleanup" },
	{ 0xf34f0f21, "dvb_dmx_swfilter_204" },
	{ 0xacf60b87, "dvb_dmx_release" },
	{ 0x88316e4a, "usb_free_coherent" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xe30fd140, "rc_register_device" },
	{ 0x97e13ec0, "usb_control_msg" },
	{ 0x1345a551, "dvb_net_init" },
	{ 0xb45248e8, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x46ccb723, "dvb_dmxdev_release" },
	{ 0x8555e6b7, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xd74bcc47, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9c842e9, "input_event" },
	{ 0x174287a7, "dvb_frontend_detach" },
	{ 0x915988a6, "i2c_add_adapter" },
	{ 0xe6619660, "dvb_net_release" },
	{ 0x5457e9f1, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x12f271f5, "dvb_unregister_frontend" },
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7caefdc1, "__media_device_usb_init" },
	{ 0x80bba343, "dvb_register_frontend" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xe998b1b0, "dvb_create_media_graph" },
	{ 0x3592d171, "dvb_unregister_adapter" },
	{ 0x41eeade8, "dvb_dmx_init" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x26b7e2c8, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xedf68171, "input_allocate_device" },
	{ 0x48cea81a, "dvb_dmxdev_init" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x893a4878, "media_device_unregister" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3e155678, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "ALP-0.1");
