#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(video_device_alloc, 0xdded1346, "");
SYMBOL_CRC(video_device_release, 0xc573fb4c, "");
SYMBOL_CRC(video_device_release_empty, 0x95cb7d09, "");
SYMBOL_CRC(video_devdata, 0x5fdb3120, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x9316001e, "");
SYMBOL_CRC(video_unregister_device, 0x9fb6660b, "");
SYMBOL_CRC(video_device_pipeline_start, 0x4796a87b, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x7b820467, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xf40a10fa, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xd4745d81, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xbde3040c, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xccb85082, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xdf9981aa, "");
SYMBOL_CRC(v4l2_device_register, 0xd5ab100c, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xa1e22cda, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xbca5ca7b, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x592dcda6, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x94d398f8, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0xf0569fd7, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x4beb0d23, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x5f8380e0, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x9af644af, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xbc013aa9, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xad06b39f, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x06da4045, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x47c4e060, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x7623d359, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x8a8dc12b, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x3a63e3e9, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xab303689, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xcacf6e5e, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x7233fcf9, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xc120b17c, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x6c9abd9f, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xd6ac9bc2, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xd06f186e, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x72d571cc, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x992a743c, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x476909e1, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x6937f76d, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x52357a77, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x0f5231f9, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x8e92f1cd, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x496b40a9, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x53b0403d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x6c348e79, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xdbce909e, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xb69eaae4, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0xf73749ca, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x3c789c1d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x3aaef6ea, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x17a8085b, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0xd12a411d, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0x18a691c2, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x436ec6ef, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x259e2c2a, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xe658afe4, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x366f376e, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x33fe2680, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x85930794, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x30bc80e6, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xb6a33fba, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x4515a10b, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xd6654a43, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xf75a2fa9, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xb9df9ae1, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x28b12cc9, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xed3d586f, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xa77703e9, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xd140ec41, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x4ebec53a, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xbf0b8064, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xc70ed30c, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x09a52cbb, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xb8219466, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x69e00918, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x589b11d1, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xc1e21604, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xcff41944, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xe49fe4e0, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x018254ec, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xcb2808ba, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x78a6d64d, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0xfc96b997, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x561fa0a2, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x20879fdb, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x98ec2bf7, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x8ea9210d, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x554ba1e9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x680aa018, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xc17971e2, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0xc8a42911, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xcc77ab88, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xba0c1df6, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x25f4b955, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x9c6051b8, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x662658dd, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x8886e530, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x892b6bd7, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x663ecb4c, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xc5d3ffc2, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x509eb8ad, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x0a5f2e71, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x57f3df67, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x4f8a4631, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x13b56ec7, "");
SYMBOL_CRC(v4l2_queryctrl, 0xc1f161fb, "");
SYMBOL_CRC(v4l2_querymenu, 0x545d22ea, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x784092d7, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x00166900, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xb3f5918c, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x3ec1c32e, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x06fb314d, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xba2ae256, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x09a4e893, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x1d98f732, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x97bf6eb6, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x8beb104e, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x91c98d0c, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x32b78dac, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x43e3f5ad, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xf87fe33e, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x233da945, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x1a8770dd, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xc2e33dd7, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xb095ed83, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xdb9d3a7f, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x5b2837c1, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x0680f336, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x0353979f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xdf103a88, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x0b7965a2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0xa338b7a2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x35b25757, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x6a17cb2e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0xee75b60c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x7e87801c, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x75be128e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x3035ab23, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x3403214a, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xf7f2c995, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x82ab4aa8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xfc0b0315, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x96b5d28c, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xc5528d11, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x2e051930, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x36a252cc, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x77675284, "i2c_new_client_device" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0xffeca003, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x2c1914a8, "media_pipeline_start" },
	{ 0xc850881d, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe02f15ca, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4caf1528, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd4c8f8, "led_set_brightness" },
	{ 0xb8291828, "media_graph_walk_start" },
	{ 0x2ad0a477, "media_devnode_create" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0xe2294b47, "media_entity_get_fwnode_pad" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5bb1b1d5, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xddec715c, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x258d13ca, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xa5f3b365, "class_register" },
	{ 0x33801b43, "led_sysfs_disable" },
	{ 0x4823387, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4942c33e, "__dev_fwnode" },
	{ 0x1db20433, "pci_bus_type" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xe2c211ab, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xec763ed0, "cdev_alloc" },
	{ 0xc308de48, "media_devnode_remove" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x64e1ab3e, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbd37dd8d, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xb84e5ef8, "led_sysfs_enable" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x24226f10, "fwnode_graph_get_remote_endpoint" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x1280431a, "spi_unregister_device" },
	{ 0x83313941, "device_unregister" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xede50a1e, "media_request_object_unbind" },
	{ 0x7b2ea95, "led_put" },
	{ 0x3fd5ecd6, "led_trigger_remove" },
	{ 0xe8da9340, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x7ee490d5, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x671aa79b, "fwnode_graph_get_port_parent" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd1cd0215, "get_device" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f4f6df2, "media_create_intf_link" },
	{ 0x9a6a0cb9, "media_create_pad_link" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5985bbd, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x50980151, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xc4cdd233, "i2c_new_scanned_device" },
	{ 0xe80b2dbe, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x460fba6d, "media_request_object_put" },
	{ 0xc40a13ae, "module_put" },
	{ 0x59b722af, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4874bbdd, "media_device_register_entity" },
	{ 0x77bfdd3d, "media_request_get_by_fd" },
	{ 0xc94b7610, "cdev_add" },
	{ 0x479408d4, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0xdcecbea7, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x96c61f92, "media_request_put" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x1bda89a6, "spi_new_device" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x937ebf1e, "media_request_object_bind" },
	{ 0x2e103377, "class_unregister" },
	{ 0xeadb55d3, "media_graph_walk_next" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "A3C2F82B3EED68A983B8804");

MODULE_INFO(suserelease, "ALP-0.1");
