#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39b2b575, "gen_pool_free_owner" },
	{ 0xb9731184, "gen_pool_destroy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf222766c, "unregister_virtio_driver" },
	{ 0x65f70206, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x73028ffa, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c984fea, "gen_pool_add_owner" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xd79b6e21, "gen_pool_alloc_algo_owner" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xabe460aa, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0x7b77d0b6, "vringh_complete_kern" },
	{ 0x38c486c0, "vringh_getdesc_kern" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x70421f21, "consume_skb" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xb06529bd, "vringh_notify_enable_kern" },
	{ 0xa4d5cce5, "vringh_notify_disable_kern" },
	{ 0x6ab92ef4, "vringh_need_notify_kern" },
	{ 0x383c1de5, "netdev_err" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf622b573, "virtqueue_disable_cb" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x4f791397, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x749206ac, "free_netdev" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x925e82fe, "virtqueue_get_buf" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xfebd3041, "virtqueue_add_outbuf" },
	{ 0x8b1dff66, "virtqueue_kick" },
	{ 0xad3b774, "virtqueue_enable_cb" },
	{ 0xeb9d6f63, "netif_tx_stop_all_queues" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0x590cce16, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7675f110, "register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x906522c5, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x989f021c, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "D8782A550133F35EE45375F");

MODULE_INFO(suserelease, "ALP-0.1");
