#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xea577977, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x6ad69cd3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x749206ac, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x6a0c4b29, "netif_set_xps_queue" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfed5e552, "pci_iounmap" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0x89a0a435, "devm_hwmon_device_register_with_groups" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x88398556, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x8787d201, "netif_tx_lock" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x35858657, "pci_enable_wake" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x53813557, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x8b0b7b8e, "__hw_addr_sync_dev" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x79cbdc7b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x4fb9003e, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x353f8047, "_dev_printk" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4170672b, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6cfadb76, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf9daf970, "param_ops_ushort" },
	{ 0x70421f21, "consume_skb" },
	{ 0xe3bd91a1, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd4b0a2eb, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x960156c9, "ndo_dflt_bridge_getlink" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x14f6c4f9, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xedb7d7b4, "pci_num_vf" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x720accd9, "pci_sriov_get_totalvfs" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x66dc0f28, "udp_tunnel_nic_ops" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x5f8561a3, "netif_tx_unlock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xa52da6f6, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0xe1740418, "__hw_addr_unsync_dev" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcb54cc1e, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CDBC9FBDC93D00C793B25C6");

MODULE_INFO(suserelease, "ALP-0.1");
