#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ks8851_suspend, 0xf3379721, "_gpl");
SYMBOL_CRC(ks8851_resume, 0xf873b9d5, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0xf23c99d7, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x0954b2d4, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0xabe460aa, "skb_put" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x66549df5, "mii_check_link" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xceee7e08, "devm_gpiod_get_optional" },
	{ 0x660fae05, "gpiod_set_consumer_name" },
	{ 0x666e1119, "devm_regulator_get" },
	{ 0xe6c44434, "regulator_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed01c46e, "gpiod_set_value_cansleep" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x69d89ddd, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x91931964, "__mdiobus_register" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xa641a048, "mdiobus_free" },
	{ 0xa0c59a97, "regulator_disable" },
	{ 0x4f791397, "_dev_err" },
	{ 0xd1c4e38b, "mdiobus_unregister" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xe918417d, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x70421f21, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0x95df97b, "generic_mii_ioctl" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0xc1e0d005, "mii_ethtool_set_link_ksettings" },
	{ 0xb628d9f5, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x13e22d9a, "mii_link_ok" },
	{ 0xe0a707b4, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mii,libphy,eeprom_93cx6");


MODULE_INFO(srcversion, "44111B8BEBE190F6978715B");

MODULE_INFO(suserelease, "ALP-0.1");
