#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qed_get_eth_ops, 0x56335059, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0xeeeb2b57, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0x7dfc8ed2, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");
SYMBOL_CRC(qed_get_rdma_ops, 0x72932aac, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf61c9e28, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x667af8fc, "pcie_capability_read_dword" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf968c5ee, "devlink_priv" },
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0x79cbdc7b, "pci_disable_msix" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x46f6d1bf, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xe914e41e, "strcpy" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcdfd64a8, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c41cf1, "devlink_unregister" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0xabe460aa, "skb_put" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x7607d30e, "devlink_health_reporter_create" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4a0f8295, "devlink_params_unregister" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xae6ead7a, "pci_disable_msi" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3157f543, "devlink_alloc_ns" },
	{ 0xbe777206, "devlink_register" },
	{ 0x6b96cebb, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb3d3ddf1, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa52da6f6, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8ff07f07, "pci_enable_msi" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x43e0004, "slab_build_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x88398556, "pci_set_master" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "E64E5F81B94BD60E311DCD8");

MODULE_INFO(suserelease, "ALP-0.1");
