#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x99cd439d, "");
SYMBOL_CRC(ath10k_info, 0x7eecb18e, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x5d85f880, "");
SYMBOL_CRC(ath10k_err, 0x357d76e6, "");
SYMBOL_CRC(ath10k_warn, 0xdf624497, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x936692fe, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x5d6d22d7, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xc7938738, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xffb0bdcc, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x33421374, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xf1217129, "");
SYMBOL_CRC(ath10k_core_start, 0x5363c847, "");
SYMBOL_CRC(ath10k_core_stop, 0xfc77d41f, "");
SYMBOL_CRC(ath10k_core_register, 0xca9391b5, "");
SYMBOL_CRC(ath10k_core_unregister, 0xde575533, "");
SYMBOL_CRC(ath10k_core_create, 0x417c5b56, "");
SYMBOL_CRC(ath10k_core_destroy, 0xb398c05c, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xa45e73c4, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x50b7e722, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x76563aec, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x49a304d9, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x352cc426, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x66b3c407, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xea9c48e9, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xc7027ede, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x3496fcd7, "");
SYMBOL_CRC(ath10k_bmi_start, 0x792ad2f9, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xbbfdd052, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x7ed59e5a, "");
SYMBOL_CRC(ath10k_coredump_new, 0xd5955c57, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x281da2d1, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x733ab268, "");
SYMBOL_CRC(ath10k_ce_send, 0xf63e747e, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x27f9c3f8, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x4d59ca55, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x889781b0, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x775a3adf, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xe4749efa, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xa7640dd4, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x1fdf471d, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x6f50e6f8, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x9d92ed9d, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xaeecb7c6, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x1a34b5bb, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x9e6cf807, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x8c2052e6, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x627a76ae, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x5871b4fd, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xb794df8c, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x6a001ee6, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0xe69dafb4, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x42199db0, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x87c08df8, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x5549c854, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x47562812, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x3f202762, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0x36d301e3, "skb_queue_head" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x77c40279, "cpu_latency_qos_remove_request" },
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x33c40e35, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xab4d710e, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x26518e1, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5380812, "__ieee80211_schedule_txq" },
	{ 0xf2dda6b4, "_ieee80211_beacon_update_cntdwn" },
	{ 0x51905f4, "idr_find" },
	{ 0x4ede902a, "ieee80211_txq_get_depth" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x495a4ebe, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8855972, "firmware_request_nowarn" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x63a16ac9, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea7bd8d7, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x7df64fb3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30730d2, "ieee80211_beacon_loss" },
	{ 0xa9f3246b, "cpu_latency_qos_add_request" },
	{ 0x1ebac868, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x84164a4f, "thermal_cooling_device_register" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x6b49964e, "ieee80211_wake_queue" },
	{ 0x4576bba8, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xd8aa2f9, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x7847b0eb, "cfg80211_put_bss" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x41b7fe2, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7486332d, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xf2976c8a, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xb8ba633e, "ieee80211_proberesp_get" },
	{ 0x4f791397, "_dev_err" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x849b53fc, "sysfs_remove_link" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3044b6e, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3f88eeea, "ieee80211_find_sta_by_ifaddr" },
	{ 0xd469f854, "ieee80211_next_txq" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x8f18596e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6cb5fd93, "ieee80211_report_low_ack" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0xc57a0e9e, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x233a8598, "default_llseek" },
	{ 0x94cdd96c, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x89a0a435, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9b216ab1, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xedfdd7fd, "devm_nvmem_cell_get" },
	{ 0xffed9b5c, "ieee80211_stop_queue" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a223e74, "skb_realloc_headroom" },
	{ 0x4d1bc626, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xd8634721, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9bb551f7, "ath_regd_init" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe8e43a52, "ieee80211_tdls_oper_request" },
	{ 0xbc4c7701, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbd5878a5, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdd0a913d, "ieee80211_tx_rate_update" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "AD4040F0701AB85E1E354F3");

MODULE_INFO(suserelease, "ALP-0.1");
