#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa83e33cf, "mt76_write_mac_initvals" },
	{ 0x76b553b, "mt76x2_reset_wlan" },
	{ 0xd2f16222, "mt76x2_mcu_set_channel" },
	{ 0xc18ff75f, "mt76x02_mcu_set_radio_state" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x5d894265, "mt76x2_apply_gain_adj" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfe0209cb, "mt76x02_sta_ps" },
	{ 0x8b487f6d, "mt76x2_set_sar_specs" },
	{ 0xf6490bc7, "mt76u_resume_rx" },
	{ 0xf1587e31, "mt76x02_sta_rate_tbl_update" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38670c90, "mt76_alloc_device" },
	{ 0x8af5ad48, "mt76x02_mac_shared_key_setup" },
	{ 0x58ad5df1, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x75fe3393, "mt76x2_mac_stop" },
	{ 0xd9461d5, "usb_put_dev" },
	{ 0x28483ddb, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb84cab28, "mt76x02_update_channel" },
	{ 0xb74c2bf3, "mt76x2_configure_tx_delay" },
	{ 0xf45a614f, "usb_get_dev" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x6d1b1ed, "mt76x02_configure_filter" },
	{ 0xeb85070e, "mt76_free_device" },
	{ 0x9ceb7c1, "mt76x02_queue_rx_skb" },
	{ 0x43de4f58, "mt76u_queues_deinit" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x4f791397, "_dev_err" },
	{ 0x72b691b5, "mt76x02u_mcu_fw_reset" },
	{ 0x89f82aeb, "mt76x02_mac_setaddr" },
	{ 0x1d034b19, "mt76_register_device" },
	{ 0xc512830, "mt76_set_tim" },
	{ 0x30c0b94b, "mt76x02_sw_scan_complete" },
	{ 0xc403c95d, "mt76x02_phy_set_bw" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x5162e9ef, "mt76x02_phy_set_band" },
	{ 0x20f8e492, "mt76_set_channel" },
	{ 0xdd73354c, "mt76x02_init_device" },
	{ 0x3fe9bd30, "mt76x02_tx" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0xa85be604, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xd2c398b3, "mt76x02_sta_remove" },
	{ 0x7f8fcb45, "mt76x02_phy_set_rxpath" },
	{ 0x39662782, "mt76x02_edcca_init" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xa6da5419, "mt76x02_tx_status_data" },
	{ 0xba309fb5, "mt76x02_sta_add" },
	{ 0xea218272, "mt76x2_mcu_load_cr" },
	{ 0x802ed0ad, "mt76x2_init_txpower" },
	{ 0x5c87e9d2, "mt76x02u_mcu_fw_send_data" },
	{ 0xe5a2bb, "mt76u_init" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x566ac5a9, "mt76x02_init_debugfs" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x5c35eb35, "mt76x02u_init_mcu" },
	{ 0xdb934546, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x84d73c48, "mt76x2_mcu_init_gain" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x579a5b49, "mt76x2_phy_tssi_compensate" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0x6846b471, "mt76x02u_mac_start" },
	{ 0xa1c35f95, "mt76x02_mac_cc_reset" },
	{ 0xea2d52dc, "mt76x02_bss_info_changed" },
	{ 0xed16888a, "mt76x02_init_agc_gain" },
	{ 0x7d3c6468, "mt76x2_phy_update_channel_gain" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb91c3f0, "mt76_txq_schedule_all" },
	{ 0xe3c39ece, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9cbcf79d, "mt76u_stop_tx" },
	{ 0x371108bd, "mt76x02u_init_beacon_config" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x1de30984, "mt76u_vendor_request" },
	{ 0x8eb38d62, "mt76x02_add_interface" },
	{ 0x549b2153, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb491269a, "mt76_get_sar_power" },
	{ 0x508a1868, "mt76u_stop_rx" },
	{ 0xd0e8c383, "mt76x02_ampdu_action" },
	{ 0x1606e14b, "mt76x02_mcu_calibrate" },
	{ 0x39d55736, "mt76x02_conf_tx" },
	{ 0x43ca8df9, "mt76x02_mcu_function_select" },
	{ 0xb54e5dd7, "mt76_sw_scan" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0x8624ca72, "mt76x02_mac_wcid_setup" },
	{ 0x73a0ca9c, "__mt76_poll" },
	{ 0x2eb883a9, "mt76x2_read_rx_gain" },
	{ 0xf492ab85, "mt76x2_phy_set_txpower_regs" },
	{ 0x796ad56f, "mt76x2_phy_set_txpower" },
	{ 0xa1b2ecc5, "mt76x02_phy_set_txdac" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3a27d7cd, "mt76x02_remove_interface" },
	{ 0x7cd8701b, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xe33a3e43, "mt76x02_set_ethtool_fwver" },
	{ 0xca1bf7ce, "mt76x02_set_key" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211,mt76-usb,usbcore,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "537962D0DB9EE073E4BAD2A");

MODULE_INFO(suserelease, "ALP-0.1");
