#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe9b9850c, "rt2x00usb_disconnect" },
	{ 0xd672bb5e, "rt2x00usb_suspend" },
	{ 0xe3301bf7, "rt2x00usb_resume" },
	{ 0xf66a1b19, "rt2x00usb_initialize" },
	{ 0x2189f888, "rt2x00usb_uninitialize" },
	{ 0x72a8963b, "rt2x00usb_clear_entry" },
	{ 0xe61e904f, "rt2x00usb_watchdog" },
	{ 0x7e471935, "rt2x00usb_kick_queue" },
	{ 0xc5d0d905, "rt2x00usb_flush_queue" },
	{ 0xa28fac1d, "rt2x00mac_tx" },
	{ 0x76116565, "rt2x00mac_start" },
	{ 0x4b408356, "rt2x00mac_stop" },
	{ 0x38b62e40, "rt2x00mac_add_interface" },
	{ 0xd851a0, "rt2x00mac_remove_interface" },
	{ 0x327b54ed, "rt2x00mac_config" },
	{ 0xf0e550bc, "rt2x00mac_bss_info_changed" },
	{ 0x13dbf78c, "rt2x00mac_configure_filter" },
	{ 0xf96a5e2f, "rt2x00mac_set_tim" },
	{ 0xfeb3a731, "rt2x00mac_set_key" },
	{ 0x6dc09acd, "rt2x00mac_sw_scan_start" },
	{ 0x1d64b77c, "rt2x00mac_sw_scan_complete" },
	{ 0x314fbe84, "rt2x00mac_get_stats" },
	{ 0x64c76b70, "rt2x00mac_conf_tx" },
	{ 0x7fc0c73, "rt2x00mac_rfkill_poll" },
	{ 0x2d508933, "rt2x00mac_flush" },
	{ 0x6b8f7b61, "rt2x00mac_set_antenna" },
	{ 0x3ae63a5f, "rt2x00mac_get_antenna" },
	{ 0x66cb567c, "rt2x00mac_get_ringparam" },
	{ 0xd16e489c, "rt2x00mac_tx_frames_pending" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x26383b97, "ieee80211_handle_wake_tx_queue" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0xbf836f89, "rt2x00usb_probe" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0x70421f21, "consume_skb" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2a79504a, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x73d7147f, "rt2x00usb_vendor_request_buff" },
	{ 0x29157a8e, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xabae8c1f, "rt2x00usb_vendor_request" },
	{ 0xe43b38df, "rt2x00lib_set_mac_address" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfa8c7e79, "rt2x00usb_disable_radio" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");

MODULE_INFO(suserelease, "ALP-0.1");
