#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xccd6d1df, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x3b67806f, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xfd7984f0, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x68c442d1, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xaeda464e, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xf0f24504, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x572702a9, "");
SYMBOL_CRC(rtw89_core_rx, 0x6429c20e, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xb79eb802, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x682cc09e, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x2e2a466f, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0xab8118ff, "");
SYMBOL_CRC(rtw89_check_quirks, 0x290677e9, "");
SYMBOL_CRC(rtw89_core_init, 0x9349c886, "");
SYMBOL_CRC(rtw89_core_deinit, 0x028d69c6, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0x29eda209, "");
SYMBOL_CRC(rtw89_core_register, 0x0aee1807, "");
SYMBOL_CRC(rtw89_core_unregister, 0xb88ac7fc, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x6f7fa49e, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x2b86fce7, "");
SYMBOL_CRC(rtw89_ops, 0x022671ac, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xa6b86131, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x69260948, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x15ec4fcc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x27248fed, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xb049d434, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x07570de3, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x4d96b64b, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xa67c22dd, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xce0693fe, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x6b6701bf, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xc85e71e2, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xb2d4cce5, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x347ad34a, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x292dd1ad, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xe9a93b0b, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xaf19fb1b, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x53b6de27, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xb019127a, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x13fc1b7b, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x047b516c, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xdd55bfb9, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xad4a61fe, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x885b088c, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xa64c55dc, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xe12c9fd7, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x2f041c52, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x0c3f3484, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xc8d4ea57, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x086c7f55, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0x88f4c323, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xf42fa6c2, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xfd682df3, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x6a6adf4c, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x5db7afa0, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xaea0a4e5, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0xb2563644, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x95df48a6, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x05367dce, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x47a86518, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x02c507b1, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x7d7a2067, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x1ae88c4c, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x1fe36f4d, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x921e4d12, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x153f7ba4, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xf5d3f45b, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0xbb5a3c72, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0xa4b0a2be, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x0ca94083, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x4003ae59, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x8b9a23db, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0xa787295a, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0xd857060d, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x3f8e48fb, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xfcfeac0a, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xe5220dbe, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x0b0a9186, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x777b8711, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x80053a1d, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xff8dca0d, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x690fe31a, "");
SYMBOL_CRC(rtw89_ser_notify, 0x605d319d, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5b2beac, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x94cdd96c, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xed87b16f, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x249a0755, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x2e0fb015, "ieee80211_cqm_rssi_notify" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xe7f4788f, "ieee80211_emulate_remove_chanctx" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7dc59071, "ieee80211_stop_tx_ba_session" },
	{ 0x33c40e35, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xe7d09c0e, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5380812, "__ieee80211_schedule_txq" },
	{ 0x4ede902a, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb4c1091b, "cfg80211_bss_iter" },
	{ 0xabe460aa, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x48ee3dd, "ieee80211_probereq_get" },
	{ 0x7df64fb3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ebac868, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x68ef8b6a, "ieee80211_nullfunc_get" },
	{ 0xdf6f73de, "ieee80211_pspoll_get" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x342f5ebe, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xb8ba633e, "ieee80211_proberesp_get" },
	{ 0x4f791397, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd469f854, "ieee80211_next_txq" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "2FA6935CA6179905BD7BED6");

MODULE_INFO(suserelease, "ALP-0.1");
