#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe918417d, "eth_validate_addr" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6aff0640, "xenbus_switch_state" },
	{ 0x88adb634, "__wake_up" },
	{ 0x97c0e82b, "__module_get" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0x257ec672, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xde9ab8c7, "xenbus_rm" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc93048ba, "netdev_pick_tx" },
	{ 0xc40a13ae, "module_put" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0x8c947979, "skb_checksum_setup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfff742e4, "napi_pp_put_page" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x7444e1a3, "gnttab_batch_copy" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x9680d152, "netif_receive_skb" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xef7fd560, "xenbus_unregister_driver" },
	{ 0x749206ac, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd1549162, "xenbus_watch_pathfmt" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0x346570c7, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0xa3258ced, "__xenbus_register_backend" },
	{ 0xe0e16a26, "gnttab_free_pages" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xeb9d6f63, "netif_tx_stop_all_queues" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5387011f, "xenbus_unmap_ring_vfree" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x53813557, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x479d8c1f, "kobject_uevent" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4b931968, "xen_features" },
	{ 0x92429eee, "gnttab_unmap_refs" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xf154dc6b, "gnttab_alloc_pages" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0x6d1fdaaa, "xenbus_dev_is_online" },
	{ 0x46a60704, "__skb_flow_dissect" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xbb0b25d2, "register_xenbus_watch" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x616990c1, "gnttab_map_refs" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xe0ca7edd, "xenbus_map_ring_valloc" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xca9feb47, "bind_interdomain_evtchn_to_irq_lateeoi" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x2d263fc7, "eth_mac_addr" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0x83313941, "device_unregister" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xeb913f8a, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x15b8ef00, "__put_task_struct" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53DB4CFA7D970361E485A42");

MODULE_INFO(suserelease, "ALP-0.1");
