#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1960daf3, "_dev_warn" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xa0563045, "sysfs_notify" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x1045b09e, "device_add_groups" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xedf68171, "input_allocate_device" },
	{ 0xc53b99dd, "sparse_keymap_setup" },
	{ 0x10b4f146, "input_register_device" },
	{ 0xce8fe3e1, "led_classdev_register_ext" },
	{ 0xb7155b1c, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xdab707b1, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f791397, "_dev_err" },
	{ 0x1be99654, "input_free_device" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xdc14f0ed, "led_classdev_notify_brightness_hw_changed" },
	{ 0x4e919ab0, "backlight_force_update" },
	{ 0xca100241, "seq_lseek" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x1fb21a5c, "__wmi_driver_register" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0xbed10ed3, "wmi_driver_unregister" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x44392685, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xf5ea9bac, "led_classdev_unregister" },
	{ 0x3dece9dd, "input_unregister_device" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xf4b54cb2, "device_remove_groups" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1000e51, "schedule" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x95784c3, "mutex_lock_interruptible" },
	{ 0x2d62373f, "sparse_keymap_report_event" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rfkill,sparse-keymap,platform_profile,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "5BA8149F4AE6CE3529989E7");

MODULE_INFO(suserelease, "ALP-0.1");
