#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(set_required_buffer_size, 0xf0b3ea76, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xab82fb80, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x9f23ad9c, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x1fb21a5c, "");
SYMBOL_CRC(wmi_driver_unregister, 0xbed10ed3, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32d404ab, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xa5f3b365, "class_register" },
	{ 0xa7973e26, "bus_register" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x2e103377, "class_unregister" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0x83313941, "device_unregister" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xc40a13ae, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x4f791397, "_dev_err" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7487980, "device_create" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x6059e10c, "device_add" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x405be82d, "put_device" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x882168e, "driver_register" },
	{ 0x8d465adf, "nonseekable_open" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "A58FEC41372533AEC187D18");

MODULE_INFO(suserelease, "ALP-0.1");
