#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(teedev_open, 0xc181cf60, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x1790ad5d, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0xcb2b4df4, "_gpl");
SYMBOL_CRC(tee_device_register, 0xab7045da, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x19db18a0, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x1b241f66, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x940f3205, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x99ebd0bb, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x965d9814, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x67c69de7, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xb1da6c6c, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x5ec10224, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x5a0ceda2, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x5ab35414, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x99da8a88, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xf2a3db9b, "_gpl");
SYMBOL_CRC(tee_shm_free, 0x15a7b210, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xb7798d15, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0xcbdf60b1, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x804309a5, "_gpl");
SYMBOL_CRC(tee_shm_put, 0xd6319d69, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x63fc3c73, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e8a3fda, "unpin_user_pages" },
	{ 0x36cf0281, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9731184, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9f7a4f3, "cdev_device_add" },
	{ 0x150ef924, "anon_inode_getfd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x78b88458, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xab5031e5, "bus_unregister" },
	{ 0x4f791397, "_dev_err" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xca08818d, "class_create" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4c984fea, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xea2c1de2, "crypto_shash_final" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x39b2b575, "gen_pool_free_owner" },
	{ 0x53813557, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd79b6e21, "gen_pool_alloc_algo_owner" },
	{ 0x123a7ae, "gen_pool_first_fit_align" },
	{ 0x8bbb6730, "gen_pool_virt_to_phys" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x2b885069, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa7973e26, "bus_register" },
	{ 0x1d6041dc, "class_find_device" },
	{ 0x9ceddadd, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x51905f4, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x73028ffa, "gen_pool_create" },
	{ 0x282701ef, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x13a7c851, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0xbeddd570, "idr_replace" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "91C381F7541002282369E7E");

MODULE_INFO(suserelease, "ALP-0.1");
