#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5896bef, "usb_kill_urb" },
	{ 0x4850ff4e, "blk_queue_update_dma_alignment" },
	{ 0x1f074752, "blk_queue_max_hw_sectors" },
	{ 0xa7e3eb62, "usb_alloc_urb" },
	{ 0xbdf89cce, "usb_alloc_streams" },
	{ 0xc0bc3ceb, "scsi_report_bus_reset" },
	{ 0x50a187, "usb_anchor_urb" },
	{ 0x234e205, "usb_submit_urb" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb22ded09, "usb_unanchor_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9a8deded, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbe4260c5, "usb_kill_anchored_urbs" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x4a53db39, "usb_lock_device_for_reset" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x57e5ddc2, "usb_stor_adjust_quirks" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x47da9878, "sdev_prefix_printk" },
	{ 0xd3102298, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4430bf86, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa56e4896, "usb_free_streams" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c6604c2, "usb_set_interface" },
	{ 0x28483ddb, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe18098ab, "usb_wait_anchor_empty_timeout" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x353f8047, "_dev_printk" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0xdd2ac749, "scmd_printk" },
	{ 0x31b18b81, "scsi_print_command" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x82adcf56, "usb_free_urb" },
	{ 0x4f791397, "_dev_err" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0xab16a172, "scsi_change_queue_depth" },
	{ 0xba3eaffa, "usb_deregister" },
	{ 0xa00f1338, "usb_get_urb" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "F081901AD78F745A238D0CA");

MODULE_INFO(suserelease, "ALP-0.1");
