#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0xe618f1d1, "");
SYMBOL_CRC(jbd2_journal_start, 0xed2b6ae9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xb916cf0c, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x8451dead, "");
SYMBOL_CRC(jbd2__journal_restart, 0x5975309e, "");
SYMBOL_CRC(jbd2_journal_restart, 0xc8ad6adb, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xf20cc92c, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xfbd6539c, "");
SYMBOL_CRC(jbd2_journal_extend, 0xd7cf941d, "");
SYMBOL_CRC(jbd2_journal_stop, 0xda5eef60, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x3392e781, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xe15abd4b, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x91e260fb, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xeb3794d2, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x59535ee9, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x229d5ffd, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xa2481c5e, "");
SYMBOL_CRC(jbd2_journal_forget, 0xe2ab806d, "");
SYMBOL_CRC(jbd2_journal_flush, 0xccc011b4, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x13493199, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xf6f75c07, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x9b2fac20, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x2ec17fe3, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x8f6cc08d, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x70f726d9, "");
SYMBOL_CRC(jbd2_journal_load, 0xca6f7263, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x829723f0, "");
SYMBOL_CRC(jbd2_journal_abort, 0xf809411e, "");
SYMBOL_CRC(jbd2_journal_errno, 0xad592fa6, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x7c4d2f2a, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x078f0ff9, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x8821664c, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xffc015cf, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x737d626d, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x50d76cff, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xdb4d22df, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x00060029, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x884639be, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xc0856d93, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x6700041b, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xbd43a59e, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x9ff1ddd7, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xd2b1848a, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xaf15557d, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x0fa438a9, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x7ab833f6, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xe0581c56, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x61fdb591, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xc2ba326f, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xa944d452, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x8da464c2, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x3a85d5fe, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x7fb2b446, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xdf414a5c, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xd7c473b0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xaf6847ed, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x6ee0aefa, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x8eff498a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb99bf705, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x543b770d, "try_to_free_buffers" },
	{ 0x722d75ca, "sync_blockdev" },
	{ 0xa56bca55, "free_buffer_head" },
	{ 0xa88e0e11, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x84cb6b74, "blk_finish_plug" },
	{ 0x73a4ec6b, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd99014ac, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x547593b, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd530b974, "__bh_read_batch" },
	{ 0xb98bbf28, "bpf_trace_run5" },
	{ 0xaff75aa3, "__wait_on_buffer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0xc84ff15f, "__bh_read" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x37475b86, "blkdev_issue_zeroout" },
	{ 0x509209d9, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91ab3da6, "freezing_slow_path" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd0ff09ac, "set_bh_page" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xcca57932, "unlock_buffer" },
	{ 0xf7483f6d, "__getblk_gfp" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa5716b2b, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x53813557, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x2a72c41a, "__lock_buffer" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x5fee93f2, "truncate_inode_pages_range" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8b7f85d, "end_buffer_write_sync" },
	{ 0xbde18153, "seq_open" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x6ba0bf8c, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0xc91dd282, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xe5fe95e, "bh_uptodate_or_lock" },
	{ 0x47f8717d, "blk_start_plug" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x406adec9, "folio_unlock" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0x61897b82, "bpf_trace_run6" },
	{ 0x6d222200, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x13e2eeb2, "__find_get_block" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x84f92fcb, "filemap_fdatawrite_range" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x957e11bd, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x515186ff, "write_dirty_buffer" },
	{ 0xe69f8749, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd48b929e, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea85aa9, "iput" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf9ed6acc, "blockdev_superblock" },
	{ 0x350c478, "proc_create_data" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xee4578cf, "bpf_trace_run8" },
	{ 0xdaa017a0, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xefd3fae0, "alloc_buffer_head" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA6A52C6EB5CB9909224F45");

MODULE_INFO(suserelease, "ALP-0.1");
