#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfs3_set_ds_client, 0x7ac40877, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa373f9c, "nfs_setattr_update_inode" },
	{ 0x2eb70480, "nfs_sops" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0xcb1bcf14, "rpc_restart_call" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0xeb02003, "nfs_link" },
	{ 0xbe046d77, "dput" },
	{ 0x5154e90e, "put_nfs_open_context" },
	{ 0xeb0fdcc0, "nfs_permission" },
	{ 0xafb0b3a0, "nfs_add_or_obtain" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xdc3c04d6, "nfs_free_client" },
	{ 0xbdb70549, "nfs_close_context" },
	{ 0x73f04d86, "nfs_refresh_inode" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x3ae30719, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xe0b40d83, "nfs_symlink" },
	{ 0xd769e71f, "nfs_unlink" },
	{ 0x47220886, "forget_cached_acl" },
	{ 0x57d3b0dd, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x38ba06dd, "nlmclnt_proc" },
	{ 0x306a0a86, "nfs_writeback_update_inode" },
	{ 0xbcc71508, "nfs_alloc_client" },
	{ 0xc36fb81e, "nfs_dentry_operations" },
	{ 0x1ae11540, "xdr_write_pages" },
	{ 0x7ef9f615, "nfs_access_zap_cache" },
	{ 0xde86347e, "xdr_inline_decode" },
	{ 0xdb3ddab0, "forget_all_cached_acls" },
	{ 0x430aef21, "nfs_submount" },
	{ 0x1754a23c, "__tracepoint_nfs_xdr_status" },
	{ 0xbce352ca, "nfs_mknod" },
	{ 0xe8609e5d, "nfs_create_server" },
	{ 0x4a1acacc, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f727e43, "nfs_post_op_update_inode" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb235aee3, "xdr_read_pages" },
	{ 0x868ce983, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x913f159d, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0cfa53c, "nfs_mkdir" },
	{ 0x80aa237a, "nfs_revalidate_inode" },
	{ 0xb8b31581, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x98813406, "nfs_try_get_tree" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x259390eb, "nfs_get_client" },
	{ 0x5417537b, "__free_pages" },
	{ 0x1eb1feb0, "nfs_file_operations" },
	{ 0x33c743ac, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x81e1155e, "nfs_put_lock_context" },
	{ 0xd0ac63ba, "nfs_rename" },
	{ 0xe12cfa9e, "nfs_lookup" },
	{ 0x14aa7d4a, "nfsacl_encode" },
	{ 0xbf9875f7, "posix_acl_create" },
	{ 0xbee8e4b5, "get_nfs_open_context" },
	{ 0xa51716c7, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x598784d8, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xc066468e, "nfs_getattr" },
	{ 0xf0f4d779, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xce72d61b, "nfs_zap_acl_cache" },
	{ 0x65049760, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7b1513bf, "rpc_bind_new_program" },
	{ 0x441c76e2, "register_nfs_version" },
	{ 0x4a6bdd39, "nfs_atomic_open_v23" },
	{ 0x4c1e1ccf, "rpc_call_start" },
	{ 0x9273c22e, "rpc_call_sync" },
	{ 0x7da3d140, "rpc_prepare_reply_pages" },
	{ 0x84670c2d, "nfs_fs_type" },
	{ 0xbf5545f2, "nfs_setattr" },
	{ 0x8d429ea, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x882382d1, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x991f1b68, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x6c20b0f7, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15fe6a4d, "nfs_rmdir" },
	{ 0x64085745, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb509a6b5, "nfs_async_iocounter_wait" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "2C775A309C72E0A1EF56FEC");

MODULE_INFO(suserelease, "ALP-0.1");
