#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0xee5da7b8, "mark_page_accessed" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x35a26bc7, "seq_escape_mem" },
	{ 0x20adacf8, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0x78f0ff9, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x547593b, "__brelse" },
	{ 0xd054e04b, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x9b2fac20, "jbd2_journal_init_inode" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf809411e, "jbd2_journal_abort" },
	{ 0xfb5ccfbb, "generic_file_read_iter" },
	{ 0x5464a56b, "inode_maybe_inc_iversion" },
	{ 0x9b6b98ee, "unlock_page" },
	{ 0xcb31d0f9, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8bfb9b6a, "qtree_release_dquot" },
	{ 0x2269645f, "set_cached_acl" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x86028b30, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x318a5cda, "dquot_resume" },
	{ 0xb98bbf28, "bpf_trace_run5" },
	{ 0x43c169d1, "setattr_copy" },
	{ 0xaf15557d, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xaff75aa3, "__wait_on_buffer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x7e98ea88, "set_nlink" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xd980ddfa, "security_inode_init_security" },
	{ 0xf1ce473b, "d_move" },
	{ 0xb375927f, "seq_putc" },
	{ 0x2f379841, "from_kgid" },
	{ 0xb8a2fcbd, "qtree_read_dquot" },
	{ 0xc84ff15f, "__bh_read" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffc015cf, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x37475b86, "blkdev_issue_zeroout" },
	{ 0x7c4d2f2a, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0xec40ce7b, "ocfs2_plock" },
	{ 0x2d910cdc, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x93eea1c6, "write_inode_now" },
	{ 0x7ab833f6, "jbd2_trans_will_send_data_barrier" },
	{ 0xd7cf941d, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2ad7d92f, "__audit_inode_child" },
	{ 0xfcdd0148, "d_obtain_alias" },
	{ 0x442dbc79, "kthread_stop" },
	{ 0xe0b1d290, "__seq_open_private" },
	{ 0x218882c2, "ocfs2_kset" },
	{ 0x3c0b03d7, "block_dirty_folio" },
	{ 0xd2b5286f, "dquot_alloc_inode" },
	{ 0x1124a15, "bpf_trace_run1" },
	{ 0x1e543f02, "bpf_trace_run9" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa2481c5e, "jbd2_journal_dirty_metadata" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa5944fa8, "generic_remap_file_range_prep" },
	{ 0x543b48b, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xebb41272, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xa6aa5ea, "register_quota_format" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x50d76cff, "jbd2_journal_wipe" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x13420e23, "d_delete" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xed2b6ae9, "jbd2_journal_start" },
	{ 0x75431171, "down_write_trylock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc8c87f5, "mutex_trylock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xdd173035, "unregister_quota_format" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xffc79b67, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x829723f0, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1d76462d, "__dquot_alloc_space" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcca57932, "unlock_buffer" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xa60b43a0, "igrab" },
	{ 0xf7483f6d, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x70f458d6, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa85b477f, "kobject_del" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x28def65b, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb3680ffa, "mount_bdev" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x495d5d95, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3c6f1e62, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2ec17fe3, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x160cdfdd, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x53813557, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xbe046d77, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbea81f13, "__percpu_down_read" },
	{ 0xc0856d93, "jbd2_journal_force_commit" },
	{ 0x2a72c41a, "__lock_buffer" },
	{ 0x59535ee9, "jbd2_journal_get_undo_access" },
	{ 0xb46ddc64, "qtree_get_next_id" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x8821664c, "jbd2_log_wait_commit" },
	{ 0x4a7a5b16, "posix_acl_update_mode" },
	{ 0x5fee93f2, "truncate_inode_pages_range" },
	{ 0xcd9dc58, "__folio_lock" },
	{ 0x68dbfbe3, "pagecache_get_page" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0x442b2f8d, "is_bad_inode" },
	{ 0xab9a8cb9, "rcuwait_wake_up" },
	{ 0x5cbd8d55, "block_is_partially_uptodate" },
	{ 0x8eff498a, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa0faa628, "filemap_splice_read" },
	{ 0xb0f53f4e, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd0db53, "seq_release_private" },
	{ 0x8b7f85d, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x7408ae8c, "iget5_locked" },
	{ 0xf88ac1b2, "__generic_file_write_iter" },
	{ 0x3392e781, "jbd2_journal_lock_updates" },
	{ 0xe40d2e9a, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfcd5d4b3, "bpf_trace_run7" },
	{ 0xfab72c97, "clean_bdev_aliases" },
	{ 0xad592fa6, "jbd2_journal_errno" },
	{ 0xf52b29d8, "generic_write_checks" },
	{ 0xd8ab954, "dqget" },
	{ 0x11f663c5, "inode_permission" },
	{ 0x84de120b, "user_path_at_empty" },
	{ 0x7513fb8, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x8cf6c3d6, "dquot_quotactl_sysfile_ops" },
	{ 0x29348382, "kmem_cache_alloc_lru" },
	{ 0x5c9c8e8e, "filemap_fault" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x9786e6d5, "__mark_inode_dirty" },
	{ 0x21e0e1, "generic_file_llseek" },
	{ 0xc5b7a60, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfa438a9, "jbd2_journal_begin_ordered_truncate" },
	{ 0x52ce608c, "up_read" },
	{ 0xf0b91657, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb313a9d, "put_pid" },
	{ 0x77c9cab1, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xccc011b4, "jbd2_journal_flush" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x70d8699a, "kobject_get" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x671b470e, "kset_create_and_add" },
	{ 0xc91dd282, "blkdev_issue_discard" },
	{ 0xe2924e41, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4ffa3edc, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xe5fe95e, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xe914e41e, "strcpy" },
	{ 0x14c99e08, "inode_init_owner" },
	{ 0x9c95084, "filemap_fdatawrite" },
	{ 0xff5cd396, "generic_fillattr" },
	{ 0xf8020078, "setattr_prepare" },
	{ 0x70a76893, "clear_nlink" },
	{ 0x8da464c2, "jbd2_complete_transaction" },
	{ 0x322989ef, "__dquot_transfer" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0x5a949327, "d_instantiate" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x135b5874, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc8241d89, "clear_inode" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0x238e0fdd, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd7ad2d1d, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1ff3acbb, "dquot_free_inode" },
	{ 0x406adec9, "folio_unlock" },
	{ 0x6ee0aefa, "jbd2_journal_grab_journal_head" },
	{ 0x5f827dd4, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbde9a8d4, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xe567c56e, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xda5eef60, "jbd2_journal_stop" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xdb3ddab0, "forget_all_cached_acls" },
	{ 0xe04add72, "init_special_inode" },
	{ 0x57258197, "unregister_filesystem" },
	{ 0x6700041b, "jbd2_journal_inode_ranged_write" },
	{ 0x61897b82, "bpf_trace_run6" },
	{ 0xc8ad6adb, "jbd2_journal_restart" },
	{ 0x6d222200, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x13e2eeb2, "__find_get_block" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x84f92fcb, "filemap_fdatawrite_range" },
	{ 0x229d5ffd, "jbd2_journal_set_triggers" },
	{ 0x83fc764b, "__block_write_begin" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x44e38f72, "inode_query_iversion" },
	{ 0x2cb23214, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x58379897, "nop_posix_acl_access" },
	{ 0xca6f7263, "jbd2_journal_load" },
	{ 0xe5e4d1d6, "nop_posix_acl_default" },
	{ 0xada42f4a, "d_make_root" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x70f726d9, "jbd2_journal_set_features" },
	{ 0xdd77be58, "sb_set_blocksize" },
	{ 0x2fad8461, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x9db86cbd, "end_buffer_read_sync" },
	{ 0x62670af3, "fsnotify" },
	{ 0x8ebe8fd9, "d_splice_alias" },
	{ 0xe15abd4b, "jbd2_journal_unlock_updates" },
	{ 0xd87a0697, "generic_error_remove_page" },
	{ 0x93c5f591, "current_time" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x9f783e97, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfd7da24c, "unmap_mapping_range" },
	{ 0x2fc45bf0, "ihold" },
	{ 0x8862eb9, "page_get_link" },
	{ 0xcd77d409, "inode_dio_wait" },
	{ 0x58b56aca, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea85aa9, "iput" },
	{ 0x17bb799f, "kset_unregister" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xaf6847ed, "jbd2_journal_clear_features" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x28101db5, "iter_file_splice_write" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9ff1ddd7, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x88adb634, "__wake_up" },
	{ 0xd891d288, "register_filesystem" },
	{ 0x11be95b4, "dq_data_lock" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xee4578cf, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8ed4eb08, "dquot_drop" },
	{ 0x86577ffe, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0xdaa017a0, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf9086048, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb350d474, "shrink_dcache_parent" },
	{ 0x86216664, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0xa9351ed3, "wake_up_process" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82384fce, "dquot_scan_active" },
	{ 0x2f2b8f7e, "qtree_entry_unused" },
	{ 0x8dfde6db, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3cc72816, "inode_newsize_ok" },
	{ 0x113b70df, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd885947e, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x6e2264a7, "mnt_want_write_file" },
	{ 0x7048b90f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x6c11277f, "block_invalidate_folio" },
	{ 0x27c0e063, "make_kprojid" },
	{ 0xd2b1848a, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x91e260fb, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1c98150d, "make_kuid" },
	{ 0x543b770d, "try_to_free_buffers" },
	{ 0xdcbdadff, "create_empty_buffers" },
	{ 0xd801d8f7, "truncate_inode_pages_final" },
	{ 0x722d75ca, "sync_blockdev" },
	{ 0xfbb56dc, "block_write_full_page" },
	{ 0xbd01a1f3, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd036633, "sync_mapping_buffers" },
	{ 0xea9f9701, "dquot_initialize" },
	{ 0xfedc88d6, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x3f91cbd3, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x3d6d65c9, "block_commit_write" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2be4729, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8fd40b52, "inode_init_once" },
	{ 0x97c9671c, "file_write_and_wait_range" },
	{ 0xf1471d0b, "qtree_write_dquot" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,jbd2,quota_tree,ocfs2_nodemanager");


MODULE_INFO(srcversion, "9A9BED5654FB393196152B9");

MODULE_INFO(suserelease, "ALP-0.1");
