#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x70fe35aa, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x4eeda59a, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0xc8ca3e10, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x5b1bafc9, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x6c389263, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x8b85f707, "");
SYMBOL_CRC(p9_show_client_options, 0x0e39a790, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0xc431f563, "");
SYMBOL_CRC(p9_req_put, 0x633c90e9, "");
SYMBOL_CRC(p9_client_cb, 0xf06c21df, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x7fa94d65, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x191e113c, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xeb5008c8, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xbad05939, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x29051d9e, "");
SYMBOL_CRC(p9_client_create, 0x8f97a51b, "");
SYMBOL_CRC(p9_client_destroy, 0x0d1a32df, "");
SYMBOL_CRC(p9_client_disconnect, 0x8086059b, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x7e3d2c8f, "");
SYMBOL_CRC(p9_client_attach, 0x76dd48fa, "");
SYMBOL_CRC(p9_client_walk, 0x667622b0, "");
SYMBOL_CRC(p9_client_open, 0x2b587138, "");
SYMBOL_CRC(p9_client_create_dotl, 0xd3f5d750, "");
SYMBOL_CRC(p9_client_fcreate, 0x4f08b7f1, "");
SYMBOL_CRC(p9_client_symlink, 0xe61012f3, "");
SYMBOL_CRC(p9_client_link, 0x6a6271d6, "");
SYMBOL_CRC(p9_client_fsync, 0x33eb3c5f, "");
SYMBOL_CRC(p9_client_clunk, 0xe0c69243, "");
SYMBOL_CRC(p9_client_remove, 0x924ee20a, "");
SYMBOL_CRC(p9_client_unlinkat, 0x746610c2, "");
SYMBOL_CRC(p9_client_read, 0xaa4d47d8, "");
SYMBOL_CRC(p9_client_read_once, 0xca02a653, "");
SYMBOL_CRC(p9_client_write, 0x8a6900d4, "");
SYMBOL_CRC(p9_client_stat, 0x92f8efd1, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x749d2d74, "");
SYMBOL_CRC(p9_client_wstat, 0x0250a919, "");
SYMBOL_CRC(p9_client_setattr, 0x2a219cb9, "");
SYMBOL_CRC(p9_client_statfs, 0xe76d635a, "");
SYMBOL_CRC(p9_client_rename, 0x5880a930, "");
SYMBOL_CRC(p9_client_renameat, 0xd72f0641, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x481db6fe, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0xca1eaf8e, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x48350677, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x60af8552, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xe011a98e, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xfec1d989, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x0730cc8d, "");
SYMBOL_CRC(p9_client_readlink, 0xac891692, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x71adfadc, "");
SYMBOL_CRC(p9dirent_read, 0xd2aa9d5b, "");
SYMBOL_CRC(p9_release_pages, 0xf2c02d23, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0xe68277c5, "bpf_trace_run2" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xc40a13ae, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0x2e5b402c, "kmem_cache_create_usercopy" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f379841, "from_kgid" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x53813557, "__folio_put" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0x51905f4, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13F3642F798ED36213F3C0E");

MODULE_INFO(suserelease, "ALP-0.1");
