#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0xb11eff5d, "");
SYMBOL_CRC(is_hsr_master, 0x919f2e59, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf65fc63, "dev_set_promiscuity" },
	{ 0xca100241, "seq_lseek" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0x62d09410, "netlink_ack" },
	{ 0xc9fab776, "netdev_state_change" },
	{ 0xeb2fa3fc, "__pskb_copy_fclone" },
	{ 0x257ec672, "ether_setup" },
	{ 0xd34b6576, "netlink_broadcast_filtered" },
	{ 0x383c1de5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4ba12c5f, "netdev_upper_dev_link" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x34e76cce, "netdev_rx_handler_unregister" },
	{ 0x6e9a9385, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb972c7a9, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe3f233e9, "netdev_printk" },
	{ 0x29157a8e, "skb_push" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xbc06a5e9, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x8965c6fb, "debugfs_rename" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfb39ba40, "call_netdevice_notifiers" },
	{ 0x792edad6, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0xa4d082ae, "netdev_rx_handler_register" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0x62fd3a0b, "dev_disable_lro" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x321eef85, "genl_register_family" },
	{ 0x398ddae8, "netdev_core_stats_inc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xfc020879, "register_netdevice" },
	{ 0xa318677b, "dev_set_mtu" },
	{ 0x4170672b, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd2df4d55, "eth_header" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EFBF075D255878868D3DEC3");

MODULE_INFO(suserelease, "ALP-0.1");
