#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(esp6_output_head, 0x8329bec9, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x0e92ef8a, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0xca2a4f11, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3813213e, "xfrm_state_lookup" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xf519b63, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdf75b89d, "ip6_redirect" },
	{ 0xf62a0a14, "__xfrm_state_destroy" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x33699cde, "ipv6_skip_exthdr" },
	{ 0x5e220b9b, "km_new_mapping" },
	{ 0x35ba399d, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcd8f012f, "xfrm_input_resume" },
	{ 0xd0e7b3a1, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x66106782, "skb_to_sgvec" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x29157a8e, "skb_push" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x53813557, "__folio_put" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa041b150, "__inet6_lookup_established" },
	{ 0xe27e9aba, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x287179d4, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xda9136f8, "espintcp_queue_out" },
	{ 0x61c78d6d, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0xed6bac6e, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7601254, "xfrm_dev_resume" },
	{ 0xbdd05d8e, "xfrm_output_resume" },
	{ 0x7aa7ed31, "__skb_ext_del" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x5721afaf, "xfrm_trans_queue_net" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xb97a05c6, "xfrm_state_mtu" },
	{ 0xde260e5, "xfrm6_rcv" },
	{ 0xbca9db49, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb4ba5255, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7462dbf0, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xc248079d, "xfrm6_protocol_register" },
	{ 0xf3553e15, "xfrm_unregister_type" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x98a849a2, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "FD9AF7828B08CB7E2A6CC45");

MODULE_INFO(suserelease, "ALP-0.1");
