#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x9c837598, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xf268ba0b, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x65215df1, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x2ec59a3c, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x3e4345a8, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x5490be2a, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x570844ae, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x24416ac1, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x9b95406b, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x4b3f1cd1, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x41d68d49, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xbfdb67a2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xabf51247, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x47383e32, "alloc_netdev_mqs" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x749206ac, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf28bc851, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x39f412f4, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xfc020879, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xc9fab776, "netdev_state_change" },
	{ 0x98f0a052, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xdf75b89d, "ip6_redirect" },
	{ 0xf519b63, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x322e178b, "ip6_route_output_flags" },
	{ 0x23a105ec, "xfrm_lookup" },
	{ 0xc5272330, "dst_cache_get" },
	{ 0xfa2e996c, "ip6_mtu" },
	{ 0x27193640, "skb_scrub_packet" },
	{ 0x2a223e74, "skb_realloc_headroom" },
	{ 0x855f7a65, "skb_set_owner_w" },
	{ 0x70421f21, "consume_skb" },
	{ 0x9ec9677b, "ipv6_push_frag_opts" },
	{ 0x29157a8e, "skb_push" },
	{ 0x639197ea, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1f418e1b, "dst_cache_set_ip6" },
	{ 0xc46dfc5b, "ipv6_dev_get_saddr" },
	{ 0xca98c8eb, "ip6_dst_hoplimit" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa79a9c13, "ipv4_mtu" },
	{ 0x384d7967, "iptunnel_handle_offloads" },
	{ 0x2e3e3767, "icmpv6_ndo_send" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xa2f695de, "icmp_ndo_send" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x91bb8bfc, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbf55b693, "gro_cells_receive" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x17ec0fc4, "__xfrm_policy_check" },
	{ 0xd50c7119, "__iptunnel_pull_header" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0x11310da, "ip_route_input_noref" },
	{ 0x16cf4a0f, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x42f43639, "dev_get_tstats64" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f2179e7, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6dd4b9a9, "ipv6_chk_addr_and_flags" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0xa37f4005, "xfrm6_tunnel_register" },
	{ 0xbe519d34, "rtnl_link_register" },
	{ 0x95768950, "xfrm6_tunnel_deregister" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe366b6e, "unregister_netdevice_queue" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x20e27f63, "rt6_lookup" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "ALP-0.1");
