#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0xdd7cee88, "");
SYMBOL_CRC(nci_req_complete, 0xf8cdd99a, "");
SYMBOL_CRC(nci_prop_cmd, 0xe186dfdc, "");
SYMBOL_CRC(nci_core_cmd, 0x7f0048ac, "");
SYMBOL_CRC(nci_core_reset, 0x6e5fd3ca, "");
SYMBOL_CRC(nci_core_init, 0xdd6ea437, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x3e54812c, "");
SYMBOL_CRC(nci_set_config, 0xdd2762b5, "");
SYMBOL_CRC(nci_nfcee_discover, 0x448674e5, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0xeb6cec5e, "");
SYMBOL_CRC(nci_core_conn_create, 0xcc52f4ff, "");
SYMBOL_CRC(nci_core_conn_close, 0xf211332b, "");
SYMBOL_CRC(nci_allocate_device, 0x91dda3cf, "");
SYMBOL_CRC(nci_free_device, 0x8f7f2613, "");
SYMBOL_CRC(nci_register_device, 0xd0d966f7, "");
SYMBOL_CRC(nci_unregister_device, 0x6ffd494f, "");
SYMBOL_CRC(nci_recv_frame, 0x6b8e8afe, "");
SYMBOL_CRC(nci_send_frame, 0x9a14e439, "");
SYMBOL_CRC(nci_send_cmd, 0xe2e9e375, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x758a8fb1, "");
SYMBOL_CRC(nci_send_data, 0x4424ecae, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0x30bb4510, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x7c65f362, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0xa9cd25fb, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x54340aae, "");
SYMBOL_CRC(nci_hci_set_param, 0x92e48d9f, "");
SYMBOL_CRC(nci_hci_get_param, 0x8eee516b, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x5701d0b8, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x59ccf170, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb390bb2b, "nfc_get_local_general_bytes" },
	{ 0xab70c2c0, "nfc_set_remote_general_bytes" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcaa7ade5, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1d7029c, "nfc_targets_found" },
	{ 0x21a92d99, "nfc_dep_link_is_up" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xecf2e3b, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x984f6624, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x2cbdeb1, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5bc24e01, "nfc_allocate_device" },
	{ 0x67725fb8, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xc9bffaa7, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e27843, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "47C6DFF792351ADE6015734");

MODULE_INFO(suserelease, "ALP-0.1");
