#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rds_cong_map_updated, 0x22bd577b, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x86e836fb, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xb554669d, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0xe9830881, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0xe2afa2ca, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x44ab8920, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0xb450af7e, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0xf00ecdc2, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x63b9a324, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x5af113f5, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x5ce2714f, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xb5d54918, "_gpl");
SYMBOL_CRC(rds_message_put, 0x2192578b, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x856c7121, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x3cc6521c, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0xc0c136ed, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xf0cf624e, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0xb0e6b950, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x76853245, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0x786e5d0e, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0xcbf59ab0, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0xf1e72499, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x1b418e82, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x00dd8a97, "_gpl");
SYMBOL_CRC(rds_send_ping, 0x8d42f950, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0xa379b8e5, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0xcdd76b66, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0xcfa67d2c, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xc5d7a2c1, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c2cdb22, "put_cmsg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1e89b4f, "sock_register" },
	{ 0xad395dd9, "mm_account_pinned_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5417537b, "__free_pages" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xdc02365d, "proto_register" },
	{ 0xc40a13ae, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x96f04426, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0d3f2b, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f0bae12, "sk_free" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6951bbfc, "sock_recv_errqueue" },
	{ 0x459e6151, "mm_unaccount_pinned_pages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x64963cc3, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6014eb7e, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0x839e106b, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf1d5a33a, "copy_page_from_iter" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x40467491, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4dfd739, "alloc_pages" },
	{ 0x53813557, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x6f92dc52, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x52ce608c, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xe38d61c2, "iov_iter_npages" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9ceddadd, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x3988ddef, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x91b06728, "unpin_user_pages_dirty_lock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6e8a3fda, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4f8d4d2f, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98ED5423CE9223AB49269DC");

MODULE_INFO(suserelease, "ALP-0.1");
