#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tipc_nl_sk_walk, 0xcfd98fe9, "");
SYMBOL_CRC(tipc_dump_start, 0xb9af68c0, "");
SYMBOL_CRC(tipc_dump_done, 0xcb6fb1db, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x5b952027, "");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef930436, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x6f8c6c07, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xa8688371, "skb_try_coalesce" },
	{ 0xdc02365d, "proto_register" },
	{ 0xc76f21a9, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4467f717, "__wake_up_sync_key" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xc40a13ae, "module_put" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfd77de86, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x46e3e4fa, "init_net" },
	{ 0x601bb5c2, "ipv6_stub" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5d50d58e, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xb972c7a9, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd6a6ede2, "__SCK__tp_func_sk_data_ready" },
	{ 0x1f954439, "dev_remove_pack" },
	{ 0x3f0bae12, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xa990140e, "kernel_sock_shutdown" },
	{ 0xbfd4e5, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x29157a8e, "skb_push" },
	{ 0xc5272330, "dst_cache_get" },
	{ 0x7a8536e7, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf5fb2d02, "proc_doulongvec_minmax" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x2f437ec8, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa978fe40, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x196d73ed, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4d18cec7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9aa3da77, "skb_copy_datagram_iter" },
	{ 0xc24fffe5, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa72d34e6, "sk_alloc" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe49b0c91, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x2e7d42e8, "kfree_skb_partial" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x281addd, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x87602df9, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xe78d5ab8, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7654449b, "setup_udp_tunnel_sock" },
	{ 0xb4eb62be, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xd0e7b3a1, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x2fbe56f3, "bpf_trace_run3" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x75a924fa, "sock_rfree" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x40467491, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e8ad1cf, "kernel_listen" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x105b9d9e, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf5becf39, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x24a64738, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f418e1b, "dst_cache_set_ip6" },
	{ 0x61c78d6d, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc95b044, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xea8aa77b, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x1a1ff557, "skb_clone" },
	{ 0x6a97be68, "dev_get_by_name" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0x488ffe9c, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xcb4c157e, "rhashtable_walk_next" },
	{ 0x1f2c2d49, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbfe4e4c7, "sk_stop_timer" },
	{ 0x4ec53d3c, "unregister_net_sysctl_table" },
	{ 0x76c53ac8, "genl_unregister_family" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x321eef85, "genl_register_family" },
	{ 0xd05eb87e, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x66106782, "skb_to_sgvec" },
	{ 0xee9d7ecc, "rhashtable_walk_exit" },
	{ 0x1b8c4804, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5ce15b2a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xa954e45b, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x48529e81, "proc_dointvec_minmax" },
	{ 0xefdd75f0, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x6ea83153, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x98d73451, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdc468c35, "__nlmsg_put" },
	{ 0x51905f4, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8b521511, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xca98c8eb, "ip6_dst_hoplimit" },
	{ 0xd4cd7f5e, "trace_output_call" },
	{ 0x70421f21, "consume_skb" },
	{ 0x6f2a278d, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x469e7b61, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x5a100bdc, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6b198dac, "dst_cache_set_ip4" },
	{ 0xf5dea7f9, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x18ed187f, "genlmsg_put" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x28331e74, "crypto_alloc_aead" },
	{ 0x109c0b8, "__tracepoint_sk_data_ready" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x5256ede, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf1517b72, "crypto_aead_decrypt" },
	{ 0x9858e169, "kernel_accept" },
	{ 0x97c0e82b, "__module_get" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0x8ea900d8, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeb2fa3fc, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xe67a3778, "register_pernet_subsys" },
	{ 0x8c2cdb22, "put_cmsg" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf1b11fba, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1e89b4f, "sock_register" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C2476D88ABCE79FE8532866");

MODULE_INFO(suserelease, "ALP-0.1");
