#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_rawmidi_drop_output, 0x2cabadb6, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0x70fa41cf, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x60d7e884, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x4eee1fab, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0x42e1f635, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0x304883ce, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0x6f3fb07b, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0xbf16c3e9, "");
SYMBOL_CRC(snd_rawmidi_receive, 0xb90b1cf3, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0x3e62c8fa, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0x4e83fc54, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0x85d9d5b0, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0xffdfca46, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0x68cd8b78, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0x1296f66c, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x87882b58, "");
SYMBOL_CRC(snd_rawmidi_init, 0xf5a930fe, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x29b8b6ef, "");
SYMBOL_CRC(snd_rawmidi_free, 0x6e52db34, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x35e97fa2, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x405be82d, "put_device" },
	{ 0x2e0f490f, "snd_ctl_register_ioctl" },
	{ 0x5f633f84, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc40a13ae, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f791397, "_dev_err" },
	{ 0x8f595b11, "snd_major" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x991cd37c, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x9f528aad, "snd_device_new" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xe85ea43c, "snd_ctl_unregister_ioctl" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x616a24a, "snd_ctl_register_ioctl_compat" },
	{ 0xe59dc928, "snd_info_create_card_entry" },
	{ 0xf4a8dcae, "snd_device_initialize" },
	{ 0x3cead20b, "remove_wait_queue" },
	{ 0xd265f074, "stream_open" },
	{ 0x92844ae8, "pid_vnr" },
	{ 0xbbe04f2c, "snd_card_file_remove" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x4e14da21, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb9f9435e, "snd_device_register" },
	{ 0x8478d8d1, "snd_register_device" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xb313a9d, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2e2002cd, "snd_info_register" },
	{ 0x63124278, "snd_ctl_unregister_ioctl_compat" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ca08a66, "snd_seq_device_new" },
	{ 0x8c143572, "snd_ctl_get_preferred_subdevice" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xe4c6d318, "param_array_ops" },
	{ 0xa9f94c90, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xd59c60f0, "add_wait_queue" },
	{ 0xb832a476, "snd_unregister_oss_device" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe513bd49, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "47B6EE70DF5B44E16D2FE93");

MODULE_INFO(suserelease, "ALP-0.1");
