#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_fw_transaction, 0x03003acb, "");
SYMBOL_CRC(fw_iso_resources_init, 0x0aa5aca8, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xc6d56127, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x84955e9c, "");
SYMBOL_CRC(fw_iso_resources_update, 0xb233f136, "");
SYMBOL_CRC(fw_iso_resources_free, 0x2485e841, "");
SYMBOL_CRC(iso_packets_buffer_init, 0xa86bee62, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x7d07dd30, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x38d4acf1, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xf6fb7f4e, "");
SYMBOL_CRC(avc_general_get_plug_info, 0xbb426a78, "");
SYMBOL_CRC(fcp_avc_transaction, 0xe9990243, "");
SYMBOL_CRC(fcp_bus_reset, 0xd72b86ed, "");
SYMBOL_CRC(cmp_connection_init, 0x61985cc3, "");
SYMBOL_CRC(cmp_connection_check_used, 0xa591b968, "");
SYMBOL_CRC(cmp_connection_destroy, 0xce771f03, "");
SYMBOL_CRC(cmp_connection_reserve, 0x591f4b22, "");
SYMBOL_CRC(cmp_connection_release, 0x3caa65cc, "");
SYMBOL_CRC(cmp_connection_establish, 0x1cf609e1, "");
SYMBOL_CRC(cmp_connection_update, 0x082f4c56, "");
SYMBOL_CRC(cmp_connection_break, 0xb7657bb5, "");
SYMBOL_CRC(amdtp_stream_init, 0xe9403df4, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xe28139ef, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x6ef5b64d, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0xf34a6124, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x2a4ad5b0, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x5b676568, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x192c00da, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x6a6b5d0f, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xed80eef3, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x0c9ac4c3, "");
SYMBOL_CRC(amdtp_domain_init, 0x77191a6c, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x5129cfeb, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0xd53e5f5c, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x04a63e26, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xf0d059c8, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x30674cc8, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x101537cc, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x0867b437, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x15ef437a, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xf72667a8, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0xf99f4415, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4bec2f6c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbde221b9, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x58122242, "fw_core_remove_address_handler" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0xcf442c68, "fw_iso_context_stop" },
	{ 0x88adb634, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76196a1e, "fw_core_add_address_handler" },
	{ 0xeab0566c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbf00ae10, "snd_pcm_hw_rule_add" },
	{ 0x4c9fc15, "fw_iso_context_queue" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x65c16ae8, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5edc48f4, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0xd9ed7752, "fw_iso_buffer_destroy" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x3e526055, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6da200fb, "fw_iso_resource_manage" },
	{ 0x1e543f02, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x65bb4b45, "fw_iso_context_start" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd4a0d1c6, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf4dd0f96, "snd_pcm_stop_xrun" },
	{ 0x6d0c2412, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x15ad32b2, "snd_pcm_period_elapsed" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x140e637e, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x188a49c7, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xfe89b3ba, "fw_run_transaction" },
	{ 0xb90b1cf3, "snd_rawmidi_receive" },
	{ 0x92828dc1, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x68cd8b78, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4f93cdcf, "trace_raw_output_prep" },
	{ 0xeb50ed41, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0xf9890870, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6c820522, "snd_pcm_hw_constraint_minmax" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "B0869187C626EE3CCF538C9");

MODULE_INFO(suserelease, "ALP-0.1");
