#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x10cc977a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xf2026c82, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xde7ef4ed, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xe547e2a9, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x5c4c3690, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x6e20fbc2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xcc946ac6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x8c79329a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x38a2c152, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x15e047eb, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x17cf35d1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0xe7e11da3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x79e59953, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x5f6d403f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x8b10cb1d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x3d8f874e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x8c438ccc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0xce97d35b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x590b6fdc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xe5b231c9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x4c16c99f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x4d18d1a8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xadd43993, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xbaa0de53, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x9460d512, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x2f3e8666, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xfac9bc83, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x4a4d9969, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x47a8b77c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x1ef8923b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x3388ffda, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53f4b029, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf539682d, "snd_hdac_bus_exit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x405be82d, "put_device" },
	{ 0x864dc18f, "snd_hdac_bus_init" },
	{ 0xf7f1ef3e, "snd_hdac_stream_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0xbf35fa2c, "snd_hdac_device_unregister" },
	{ 0x7894af15, "snd_hdac_stream_assign" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb18d64b, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2588f600, "snd_hdac_bus_init_cmd_io" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xb032be45, "snd_hda_bus_type" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x882168e, "driver_register" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0x8e3ba37f, "snd_hdac_stream_release" },
	{ 0x454966d5, "snd_hdac_stream_release_locked" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "ALP-0.1");
